#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hci_uart_tx_wakeup, "_gpl", "");
KSYMTAB_FUNC(hci_uart_register_device_priv, "_gpl", "");
KSYMTAB_FUNC(hci_uart_unregister_device, "_gpl", "");
KSYMTAB_FUNC(h4_recv_buf, "_gpl", "");

SYMBOL_CRC(hci_uart_tx_wakeup, 0xe7ffa36c, "_gpl");
SYMBOL_CRC(hci_uart_register_device_priv, 0xa3b6b806, "_gpl");
SYMBOL_CRC(hci_uart_unregister_device, 0xc8e25ab7, "_gpl");
SYMBOL_CRC(h4_recv_buf, 0x179ce4b3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcb7b3488, "percpu_free_rwsem" },
	{ 0x159387a1, "tty_set_termios" },
	{ 0x6045492d, "device_property_present" },
	{ 0x85e6a451, "is_acpi_device_node" },
	{ 0xeb18f1d8, "device_set_wakeup_capable" },
	{ 0x828b8c6d, "devm_request_threaded_irq" },
	{ 0x2b14ab93, "percpu_down_write" },
	{ 0x8dcc2711, "devm_kmalloc" },
	{ 0x6fc0816f, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x1a21b890, "tty_register_ldisc" },
	{ 0x65618e15, "serdev_device_set_baudrate" },
	{ 0x50c5a5db, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x14437324, "hci_free_dev" },
	{ 0x3c03aa5d, "platform_get_irq" },
	{ 0x5ad2a702, "btbcm_finalize" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1092ccb2, "skb_dequeue" },
	{ 0xb0c296d3, "pm_runtime_set_autosuspend_delay" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0xcedb493e, "gpiod_set_value_cansleep" },
	{ 0x751b93c4, "btbcm_initialize" },
	{ 0xe5f4e81c, "serdev_device_set_flow_control" },
	{ 0xf4a2ae16, "gpiod_to_irq" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa729119d, "hci_alloc_dev_priv" },
	{ 0x37a0cba, "kfree" },
	{ 0x418fa562, "serdev_device_open" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6b721314, "dev_kfree_skb_irq_reason" },
	{ 0x90672ec1, "devm_gpiod_get_optional" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x6c46cd3b, "__dynamic_dev_dbg" },
	{ 0xaf2d7de4, "skb_queue_purge_reason" },
	{ 0xb90c3f9d, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xc151fb78, "acpi_dev_get_resources" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x371d8951, "devm_free_irq" },
	{ 0x69559d65, "tty_driver_flush_buffer" },
	{ 0xbf23646b, "pm_runtime_enable" },
	{ 0xc382aa18, "__alloc_skb" },
	{ 0xa65e50ab, "regulator_bulk_disable" },
	{ 0x51cf9d8a, "device_property_read_u32_array" },
	{ 0x85784807, "_dev_info" },
	{ 0x8b149c36, "clk_is_match" },
	{ 0xc6cbbc89, "capable" },
	{ 0x34e662ce, "skb_queue_tail" },
	{ 0xe2b6110a, "device_wakeup_disable" },
	{ 0x77601cd8, "btbcm_read_pcm_int_params" },
	{ 0x3491b6c0, "percpu_up_write" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7ce69cb6, "devm_acpi_dev_add_driver_gpios" },
	{ 0x23918d20, "_dev_err" },
	{ 0xa21b4997, "device_wakeup_enable" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x73afd300, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xb155f9f5, "device_property_read_u8_array" },
	{ 0x54a9430a, "devm_clk_put" },
	{ 0xe37f81b8, "sk_skb_reason_drop" },
	{ 0xf1f1af7, "serdev_device_write_flush" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0xcbbe334d, "irq_get_irq_data" },
	{ 0x7e594367, "mutex_lock" },
	{ 0xe16ee711, "skb_push" },
	{ 0x36439d04, "n_tty_ioctl_helper" },
	{ 0x8520f7eb, "driver_unregister" },
	{ 0x5b641f30, "tty_ldisc_flush" },
	{ 0xc5bb27a8, "__percpu_init_rwsem" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x89b518af, "__serdev_device_driver_register" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x53398f10, "_dev_warn" },
	{ 0xdb004e2b, "device_get_match_data" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x206b2e, "acpi_match_device" },
	{ 0x77895e08, "serdev_device_set_tiocm" },
	{ 0x718b8b7, "bt_info" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x6ce0afa0, "regulator_bulk_enable" },
	{ 0xd8d6e6c5, "devm_regulator_bulk_get" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0xf24888b4, "serdev_device_write_buf" },
	{ 0xdd68f29b, "skb_trim" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5853eb09, "tty_unregister_ldisc" },
	{ 0xe29be9f2, "__platform_driver_register" },
	{ 0xdd8912df, "devm_clk_get_optional" },
	{ 0x6b0a7475, "hci_unregister_dev" },
	{ 0x38aa1397, "gpiod_add_lookup_table" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0x45de86fb, "__pm_runtime_resume" },
	{ 0x1fbcfac4, "hci_recv_frame" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0xa954ece1, "of_irq_get_byname" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x758f1246, "param_ops_bool" },
	{ 0xb4124a93, "serdev_device_close" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5641485b, "tty_termios_encode_baud_rate" },
	{ 0xcbd602eb, "__percpu_down_read" },
	{ 0xff81487d, "gpiod_remove_lookup_table" },
	{ 0x9f85101a, "btbcm_write_pcm_int_params" },
	{ 0x5bd407e4, "btbcm_set_bdaddr" },
	{ 0xff7f0faa, "tty_unthrottle" },
	{ 0xd5ae0237, "hci_reset_dev" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x17dfb94b, "btbcm_check_bdaddr" },
	{ 0x7c9ccd4, "rcuwait_wake_up" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8b8394c3, "kmalloc_trace" },
	{ 0xc619d4f4, "__pm_runtime_suspend" },
	{ 0x5323af67, "hci_register_dev" },
	{ 0x36571d19, "__pm_runtime_use_autosuspend" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xea4481d3, "param_ops_int" },
	{ 0xe37b740f, "__hci_cmd_sync" },
	{ 0x38bbd823, "of_device_get_match_data" },
	{ 0x4cff7911, "__pm_runtime_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x55623917, "kmalloc_caches" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0x29f1084b, "hci_recv_diag" },
	{ 0x2308fe31, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,btbcm");

MODULE_ALIAS("acpi*:BCM2E00:*");
MODULE_ALIAS("acpi*:BCM2E01:*");
MODULE_ALIAS("acpi*:BCM2E02:*");
MODULE_ALIAS("acpi*:BCM2E03:*");
MODULE_ALIAS("acpi*:BCM2E04:*");
MODULE_ALIAS("acpi*:BCM2E05:*");
MODULE_ALIAS("acpi*:BCM2E06:*");
MODULE_ALIAS("acpi*:BCM2E07:*");
MODULE_ALIAS("acpi*:BCM2E08:*");
MODULE_ALIAS("acpi*:BCM2E09:*");
MODULE_ALIAS("acpi*:BCM2E0A:*");
MODULE_ALIAS("acpi*:BCM2E0B:*");
MODULE_ALIAS("acpi*:BCM2E0C:*");
MODULE_ALIAS("acpi*:BCM2E0D:*");
MODULE_ALIAS("acpi*:BCM2E0E:*");
MODULE_ALIAS("acpi*:BCM2E0F:*");
MODULE_ALIAS("acpi*:BCM2E10:*");
MODULE_ALIAS("acpi*:BCM2E11:*");
MODULE_ALIAS("acpi*:BCM2E12:*");
MODULE_ALIAS("acpi*:BCM2E13:*");
MODULE_ALIAS("acpi*:BCM2E14:*");
MODULE_ALIAS("acpi*:BCM2E15:*");
MODULE_ALIAS("acpi*:BCM2E16:*");
MODULE_ALIAS("acpi*:BCM2E17:*");
MODULE_ALIAS("acpi*:BCM2E18:*");
MODULE_ALIAS("acpi*:BCM2E19:*");
MODULE_ALIAS("acpi*:BCM2E1A:*");
MODULE_ALIAS("acpi*:BCM2E1B:*");
MODULE_ALIAS("acpi*:BCM2E1C:*");
MODULE_ALIAS("acpi*:BCM2E1D:*");
MODULE_ALIAS("acpi*:BCM2E1F:*");
MODULE_ALIAS("acpi*:BCM2E20:*");
MODULE_ALIAS("acpi*:BCM2E21:*");
MODULE_ALIAS("acpi*:BCM2E22:*");
MODULE_ALIAS("acpi*:BCM2E23:*");
MODULE_ALIAS("acpi*:BCM2E24:*");
MODULE_ALIAS("acpi*:BCM2E25:*");
MODULE_ALIAS("acpi*:BCM2E26:*");
MODULE_ALIAS("acpi*:BCM2E27:*");
MODULE_ALIAS("acpi*:BCM2E28:*");
MODULE_ALIAS("acpi*:BCM2E29:*");
MODULE_ALIAS("acpi*:BCM2E2A:*");
MODULE_ALIAS("acpi*:BCM2E2B:*");
MODULE_ALIAS("acpi*:BCM2E2C:*");
MODULE_ALIAS("acpi*:BCM2E2D:*");
MODULE_ALIAS("acpi*:BCM2E2E:*");
MODULE_ALIAS("acpi*:BCM2E2F:*");
MODULE_ALIAS("acpi*:BCM2E30:*");
MODULE_ALIAS("acpi*:BCM2E31:*");
MODULE_ALIAS("acpi*:BCM2E32:*");
MODULE_ALIAS("acpi*:BCM2E33:*");
MODULE_ALIAS("acpi*:BCM2E34:*");
MODULE_ALIAS("acpi*:BCM2E35:*");
MODULE_ALIAS("acpi*:BCM2E36:*");
MODULE_ALIAS("acpi*:BCM2E37:*");
MODULE_ALIAS("acpi*:BCM2E38:*");
MODULE_ALIAS("acpi*:BCM2E39:*");
MODULE_ALIAS("acpi*:BCM2E3A:*");
MODULE_ALIAS("acpi*:BCM2E3B:*");
MODULE_ALIAS("acpi*:BCM2E3C:*");
MODULE_ALIAS("acpi*:BCM2E3D:*");
MODULE_ALIAS("acpi*:BCM2E3E:*");
MODULE_ALIAS("acpi*:BCM2E3F:*");
MODULE_ALIAS("acpi*:BCM2E40:*");
MODULE_ALIAS("acpi*:BCM2E41:*");
MODULE_ALIAS("acpi*:BCM2E42:*");
MODULE_ALIAS("acpi*:BCM2E43:*");
MODULE_ALIAS("acpi*:BCM2E44:*");
MODULE_ALIAS("acpi*:BCM2E45:*");
MODULE_ALIAS("acpi*:BCM2E46:*");
MODULE_ALIAS("acpi*:BCM2E47:*");
MODULE_ALIAS("acpi*:BCM2E48:*");
MODULE_ALIAS("acpi*:BCM2E49:*");
MODULE_ALIAS("acpi*:BCM2E4A:*");
MODULE_ALIAS("acpi*:BCM2E4B:*");
MODULE_ALIAS("acpi*:BCM2E4C:*");
MODULE_ALIAS("acpi*:BCM2E4D:*");
MODULE_ALIAS("acpi*:BCM2E4E:*");
MODULE_ALIAS("acpi*:BCM2E4F:*");
MODULE_ALIAS("acpi*:BCM2E50:*");
MODULE_ALIAS("acpi*:BCM2E51:*");
MODULE_ALIAS("acpi*:BCM2E52:*");
MODULE_ALIAS("acpi*:BCM2E53:*");
MODULE_ALIAS("acpi*:BCM2E54:*");
MODULE_ALIAS("acpi*:BCM2E55:*");
MODULE_ALIAS("acpi*:BCM2E56:*");
MODULE_ALIAS("acpi*:BCM2E57:*");
MODULE_ALIAS("acpi*:BCM2E58:*");
MODULE_ALIAS("acpi*:BCM2E59:*");
MODULE_ALIAS("acpi*:BCM2E5A:*");
MODULE_ALIAS("acpi*:BCM2E5B:*");
MODULE_ALIAS("acpi*:BCM2E5C:*");
MODULE_ALIAS("acpi*:BCM2E5D:*");
MODULE_ALIAS("acpi*:BCM2E5E:*");
MODULE_ALIAS("acpi*:BCM2E5F:*");
MODULE_ALIAS("acpi*:BCM2E60:*");
MODULE_ALIAS("acpi*:BCM2E61:*");
MODULE_ALIAS("acpi*:BCM2E62:*");
MODULE_ALIAS("acpi*:BCM2E63:*");
MODULE_ALIAS("acpi*:BCM2E64:*");
MODULE_ALIAS("acpi*:BCM2E65:*");
MODULE_ALIAS("acpi*:BCM2E66:*");
MODULE_ALIAS("acpi*:BCM2E67:*");
MODULE_ALIAS("acpi*:BCM2E68:*");
MODULE_ALIAS("acpi*:BCM2E69:*");
MODULE_ALIAS("acpi*:BCM2E6B:*");
MODULE_ALIAS("acpi*:BCM2E6D:*");
MODULE_ALIAS("acpi*:BCM2E6E:*");
MODULE_ALIAS("acpi*:BCM2E6F:*");
MODULE_ALIAS("acpi*:BCM2E70:*");
MODULE_ALIAS("acpi*:BCM2E71:*");
MODULE_ALIAS("acpi*:BCM2E72:*");
MODULE_ALIAS("acpi*:BCM2E73:*");
MODULE_ALIAS("acpi*:BCM2E74:*");
MODULE_ALIAS("acpi*:BCM2E75:*");
MODULE_ALIAS("acpi*:BCM2E76:*");
MODULE_ALIAS("acpi*:BCM2E77:*");
MODULE_ALIAS("acpi*:BCM2E78:*");
MODULE_ALIAS("acpi*:BCM2E79:*");
MODULE_ALIAS("acpi*:BCM2E7A:*");
MODULE_ALIAS("acpi*:BCM2E7B:*");
MODULE_ALIAS("acpi*:BCM2E7C:*");
MODULE_ALIAS("acpi*:BCM2E7D:*");
MODULE_ALIAS("acpi*:BCM2E7E:*");
MODULE_ALIAS("acpi*:BCM2E7F:*");
MODULE_ALIAS("acpi*:BCM2E80:*");
MODULE_ALIAS("acpi*:BCM2E81:*");
MODULE_ALIAS("acpi*:BCM2E82:*");
MODULE_ALIAS("acpi*:BCM2E83:*");
MODULE_ALIAS("acpi*:BCM2E84:*");
MODULE_ALIAS("acpi*:BCM2E85:*");
MODULE_ALIAS("acpi*:BCM2E86:*");
MODULE_ALIAS("acpi*:BCM2E87:*");
MODULE_ALIAS("acpi*:BCM2E88:*");
MODULE_ALIAS("acpi*:BCM2E89:*");
MODULE_ALIAS("acpi*:BCM2E8A:*");
MODULE_ALIAS("acpi*:BCM2E8B:*");
MODULE_ALIAS("acpi*:BCM2E8C:*");
MODULE_ALIAS("acpi*:BCM2E8D:*");
MODULE_ALIAS("acpi*:BCM2E8E:*");
MODULE_ALIAS("acpi*:BCM2E90:*");
MODULE_ALIAS("acpi*:BCM2E92:*");
MODULE_ALIAS("acpi*:BCM2E93:*");
MODULE_ALIAS("acpi*:BCM2E94:*");
MODULE_ALIAS("acpi*:BCM2E95:*");
MODULE_ALIAS("acpi*:BCM2E96:*");
MODULE_ALIAS("acpi*:BCM2E97:*");
MODULE_ALIAS("acpi*:BCM2E98:*");
MODULE_ALIAS("acpi*:BCM2E99:*");
MODULE_ALIAS("acpi*:BCM2E9A:*");
MODULE_ALIAS("acpi*:BCM2E9B:*");
MODULE_ALIAS("acpi*:BCM2E9C:*");
MODULE_ALIAS("acpi*:BCM2E9D:*");
MODULE_ALIAS("acpi*:BCM2E9F:*");
MODULE_ALIAS("acpi*:BCM2EA0:*");
MODULE_ALIAS("acpi*:BCM2EA1:*");
MODULE_ALIAS("acpi*:BCM2EA2:*");
MODULE_ALIAS("acpi*:BCM2EA3:*");
MODULE_ALIAS("acpi*:BCM2EA4:*");
MODULE_ALIAS("acpi*:BCM2EA5:*");
MODULE_ALIAS("acpi*:BCM2EA6:*");
MODULE_ALIAS("acpi*:BCM2EA7:*");
MODULE_ALIAS("acpi*:BCM2EA8:*");
MODULE_ALIAS("acpi*:BCM2EA9:*");
MODULE_ALIAS("acpi*:BCM2EAA:*");
MODULE_ALIAS("acpi*:BCM2EAB:*");
MODULE_ALIAS("acpi*:BCM2EAC:*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm20702a1");
MODULE_ALIAS("of:N*T*Cbrcm,bcm20702a1C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4329-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4329-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4330-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4330-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4334-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4334-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4345c5");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4345c5C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43430a0-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43430a0-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43430a1-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43430a1-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43438-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43438-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4349-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4349-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43540-bt");
MODULE_ALIAS("of:N*T*Cbrcm,bcm43540-btC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4335a0");
MODULE_ALIAS("of:N*T*Cbrcm,bcm4335a0C*");
MODULE_ALIAS("of:N*T*Ccypress,cyw4373a0-bt");
MODULE_ALIAS("of:N*T*Ccypress,cyw4373a0-btC*");
MODULE_ALIAS("of:N*T*Cinfineon,cyw55572-bt");
MODULE_ALIAS("of:N*T*Cinfineon,cyw55572-btC*");

MODULE_INFO(srcversion, "763EE2E083B6794AE93E382");
MODULE_INFO(rhelversion, "9.7");
