#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_scanout_buffer, "", "");

SYMBOL_CRC(drm_gem_dma_create, 0x36f4ce11, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0xbe469317, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0x81eca3f4, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0xd411e7a7, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0xbb0ac14a, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x50162ab9, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0xd2739df3, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0xd4c49233, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0xb1dec1dd, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0x2cda8220, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0xc2766570, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0x387157bd, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0xd241eaaa, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x590d985b, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_scanout_buffer, 0x74c90cca, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc07279b5, "dma_buf_vunmap_unlocked" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x1acbbad6, "dma_mmap_pages" },
	{ 0x6c08d04a, "dma_free_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0xe3d0db8a, "drm_gem_create_mmap_offset" },
	{ 0xfc88c3d0, "drm_gem_object_init" },
	{ 0x7a2e3798, "drm_atomic_helper_damage_iter_init" },
	{ 0x86924a2e, "dma_alloc_pages" },
	{ 0x6bdb2dea, "drm_gem_private_object_init" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x34a87f68, "drm_gem_vm_close" },
	{ 0xe057547a, "drm_gem_vm_open" },
	{ 0xa1ceeedb, "down_write" },
	{ 0x2c665d23, "up_write" },
	{ 0xa3b2f0de, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfdbd5039, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0xedb7bda, "drm_gem_handle_create" },
	{ 0x719d1316, "drm_gem_fb_get_obj" },
	{ 0xb7f813c9, "__drm_dev_dbg" },
	{ 0x8e8e7a5d, "dma_free_attrs" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0xf33d66f7, "__dma_sync_single_for_device" },
	{ 0xd4ccc29a, "dma_buf_vmap_unlocked" },
	{ 0xcec7c01b, "dma_mmap_attrs" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1d332006, "dma_get_sgtable_attrs" },
	{ 0x8b8394c3, "kmalloc_trace" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x55623917, "kmalloc_caches" },
	{ 0xebd3cebc, "drm_prime_gem_destroy" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper");


MODULE_INFO(srcversion, "022E95739579CC8FE5ED61C");
MODULE_INFO(rhelversion, "9.7");
