#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(coresight_barrier_pkt, "_gpl", "");
KSYMTAB_FUNC(coresight_set_cti_ops, "_gpl", "");
KSYMTAB_FUNC(coresight_remove_cti_ops, "_gpl", "");
KSYMTAB_FUNC(coresight_set_percpu_sink, "_gpl", "");
KSYMTAB_FUNC(coresight_get_percpu_sink, "_gpl", "");
KSYMTAB_FUNC(coresight_claim_device_unlocked, "_gpl", "");
KSYMTAB_FUNC(coresight_claim_device, "_gpl", "");
KSYMTAB_FUNC(coresight_disclaim_device_unlocked, "_gpl", "");
KSYMTAB_FUNC(coresight_disclaim_device, "_gpl", "");
KSYMTAB_FUNC(coresight_add_helper, "_gpl", "");
KSYMTAB_FUNC(coresight_disable_source, "_gpl", "");
KSYMTAB_FUNC(coresight_disable_path, "_gpl", "");
KSYMTAB_FUNC(coresight_timeout, "_gpl", "");
KSYMTAB_FUNC(coresight_register, "_gpl", "");
KSYMTAB_FUNC(coresight_unregister, "_gpl", "");
KSYMTAB_FUNC(coresight_find_input_type, "_gpl", "");
KSYMTAB_FUNC(coresight_find_output_type, "_gpl", "");
KSYMTAB_FUNC(coresight_loses_context_with_cpu, "_gpl", "");
KSYMTAB_FUNC(coresight_alloc_device_name, "_gpl", "");
KSYMTAB_FUNC(coresight_init_driver, "_gpl", "");
KSYMTAB_FUNC(coresight_remove_driver, "_gpl", "");
KSYMTAB_FUNC(etm_perf_symlink, "_gpl", "");
KSYMTAB_FUNC(coresight_add_out_conn, "_gpl", "");
KSYMTAB_FUNC(coresight_add_in_conn, "_gpl", "");
KSYMTAB_FUNC(coresight_find_csdev_by_fwnode, "_gpl", "");
KSYMTAB_FUNC(coresight_get_cpu, "_gpl", "");
KSYMTAB_FUNC(coresight_get_platform_data, "_gpl", "");
KSYMTAB_FUNC(coresight_simple_show_pair, "_gpl", "");
KSYMTAB_FUNC(coresight_simple_show32, "_gpl", "");
KSYMTAB_FUNC(coresight_enable_sysfs, "_gpl", "");
KSYMTAB_FUNC(coresight_disable_sysfs, "_gpl", "");
KSYMTAB_FUNC(coresight_add_sysfs_link, "_gpl", "");
KSYMTAB_FUNC(coresight_remove_sysfs_link, "_gpl", "");
KSYMTAB_FUNC(cscfg_load_config_sets, "_gpl", "");
KSYMTAB_FUNC(cscfg_unload_config_sets, "_gpl", "");
KSYMTAB_FUNC(cscfg_register_csdev, "_gpl", "");
KSYMTAB_FUNC(cscfg_unregister_csdev, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_reset_feats, "_gpl", "");
KSYMTAB_FUNC(cscfg_config_sysfs_get_active_cfg, "_gpl", "");
KSYMTAB_FUNC(cscfg_activate_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_deactivate_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_enable_active_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_disable_active_config, "_gpl", "");
KSYMTAB_FUNC(coresight_trace_id_get_cpu_id, "_gpl", "");
KSYMTAB_FUNC(coresight_trace_id_get_cpu_id_map, "_gpl", "");
KSYMTAB_FUNC(coresight_trace_id_put_cpu_id, "_gpl", "");
KSYMTAB_FUNC(coresight_trace_id_put_cpu_id_map, "_gpl", "");
KSYMTAB_FUNC(coresight_trace_id_read_cpu_id, "_gpl", "");
KSYMTAB_FUNC(coresight_trace_id_read_cpu_id_map, "_gpl", "");
KSYMTAB_FUNC(coresight_trace_id_get_system_id, "_gpl", "");
KSYMTAB_FUNC(coresight_trace_id_put_system_id, "_gpl", "");
KSYMTAB_FUNC(coresight_trace_id_perf_start, "_gpl", "");
KSYMTAB_FUNC(coresight_trace_id_perf_stop, "_gpl", "");

SYMBOL_CRC(coresight_barrier_pkt, 0xecfb329f, "_gpl");
SYMBOL_CRC(coresight_set_cti_ops, 0x72c20e80, "_gpl");
SYMBOL_CRC(coresight_remove_cti_ops, 0x4a0e600f, "_gpl");
SYMBOL_CRC(coresight_set_percpu_sink, 0xfbf79771, "_gpl");
SYMBOL_CRC(coresight_get_percpu_sink, 0x292156b5, "_gpl");
SYMBOL_CRC(coresight_claim_device_unlocked, 0x6b62a924, "_gpl");
SYMBOL_CRC(coresight_claim_device, 0x590b95e0, "_gpl");
SYMBOL_CRC(coresight_disclaim_device_unlocked, 0x505644dd, "_gpl");
SYMBOL_CRC(coresight_disclaim_device, 0xa7bd4dc0, "_gpl");
SYMBOL_CRC(coresight_add_helper, 0xfa90b753, "_gpl");
SYMBOL_CRC(coresight_disable_source, 0xec4b417a, "_gpl");
SYMBOL_CRC(coresight_disable_path, 0xe16f84f5, "_gpl");
SYMBOL_CRC(coresight_timeout, 0xeca1a8e2, "_gpl");
SYMBOL_CRC(coresight_register, 0x486f2345, "_gpl");
SYMBOL_CRC(coresight_unregister, 0x7b3b7f93, "_gpl");
SYMBOL_CRC(coresight_find_input_type, 0xb51b17e8, "_gpl");
SYMBOL_CRC(coresight_find_output_type, 0x61702aa5, "_gpl");
SYMBOL_CRC(coresight_loses_context_with_cpu, 0x563e86a1, "_gpl");
SYMBOL_CRC(coresight_alloc_device_name, 0x6ff2e718, "_gpl");
SYMBOL_CRC(coresight_init_driver, 0x32b6ba1b, "_gpl");
SYMBOL_CRC(coresight_remove_driver, 0xb6c4ec06, "_gpl");
SYMBOL_CRC(etm_perf_symlink, 0x4da1a45b, "_gpl");
SYMBOL_CRC(coresight_add_out_conn, 0xf237eb45, "_gpl");
SYMBOL_CRC(coresight_add_in_conn, 0x5c814d54, "_gpl");
SYMBOL_CRC(coresight_find_csdev_by_fwnode, 0x654a9ce3, "_gpl");
SYMBOL_CRC(coresight_get_cpu, 0xcee34afc, "_gpl");
SYMBOL_CRC(coresight_get_platform_data, 0xe91ce1a1, "_gpl");
SYMBOL_CRC(coresight_simple_show_pair, 0x12559979, "_gpl");
SYMBOL_CRC(coresight_simple_show32, 0x5b2f078b, "_gpl");
SYMBOL_CRC(coresight_enable_sysfs, 0xbb8ce600, "_gpl");
SYMBOL_CRC(coresight_disable_sysfs, 0xf707220b, "_gpl");
SYMBOL_CRC(coresight_add_sysfs_link, 0x3447a068, "_gpl");
SYMBOL_CRC(coresight_remove_sysfs_link, 0xf83bf737, "_gpl");
SYMBOL_CRC(cscfg_load_config_sets, 0x39d363b6, "_gpl");
SYMBOL_CRC(cscfg_unload_config_sets, 0x79f69084, "_gpl");
SYMBOL_CRC(cscfg_register_csdev, 0x09a367e0, "_gpl");
SYMBOL_CRC(cscfg_unregister_csdev, 0x9fa6c31d, "_gpl");
SYMBOL_CRC(cscfg_csdev_reset_feats, 0xd876aad8, "_gpl");
SYMBOL_CRC(cscfg_config_sysfs_get_active_cfg, 0xb0043d28, "_gpl");
SYMBOL_CRC(cscfg_activate_config, 0x985cc71d, "_gpl");
SYMBOL_CRC(cscfg_deactivate_config, 0xbe69f28a, "_gpl");
SYMBOL_CRC(cscfg_csdev_enable_active_config, 0x2e20de3f, "_gpl");
SYMBOL_CRC(cscfg_csdev_disable_active_config, 0xa7bcd233, "_gpl");
SYMBOL_CRC(coresight_trace_id_get_cpu_id, 0x302b06d2, "_gpl");
SYMBOL_CRC(coresight_trace_id_get_cpu_id_map, 0x33b1c38c, "_gpl");
SYMBOL_CRC(coresight_trace_id_put_cpu_id, 0x83c2dfa6, "_gpl");
SYMBOL_CRC(coresight_trace_id_put_cpu_id_map, 0x6a70f46e, "_gpl");
SYMBOL_CRC(coresight_trace_id_read_cpu_id, 0xb11dd9d6, "_gpl");
SYMBOL_CRC(coresight_trace_id_read_cpu_id_map, 0x9e54fc02, "_gpl");
SYMBOL_CRC(coresight_trace_id_get_system_id, 0x62518839, "_gpl");
SYMBOL_CRC(coresight_trace_id_put_system_id, 0xeb3542a2, "_gpl");
SYMBOL_CRC(coresight_trace_id_perf_start, 0xdd7d2953, "_gpl");
SYMBOL_CRC(coresight_trace_id_perf_stop, 0xdf253cab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xea386838, "of_graph_get_remote_endpoint" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x45be5d25, "try_module_get" },
	{ 0x85e6a451, "is_acpi_device_node" },
	{ 0x8354ce02, "of_fwnode_ops" },
	{ 0x3371585c, "config_group_init" },
	{ 0x61cf1ab8, "idr_find" },
	{ 0x8dcc2711, "devm_kmalloc" },
	{ 0xdaddde32, "of_get_next_parent" },
	{ 0x4fb5f205, "dev_set_name" },
	{ 0x50c5a5db, "platform_driver_unregister" },
	{ 0xb4971743, "configfs_register_group" },
	{ 0x7611ecaa, "amba_driver_unregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcdf5fcb3, "perf_aux_output_begin" },
	{ 0x6a7222e1, "idr_alloc_u32" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x6c9481e6, "sysfs_add_file_to_group" },
	{ 0x19e4e6e2, "device_unregister" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0xe7c48393, "of_graph_is_present" },
	{ 0x96848186, "scnprintf" },
	{ 0x7d12d76d, "acpi_get_parent" },
	{ 0x952fc03b, "__cpu_present_mask" },
	{ 0xad0b6e3, "perf_report_aux_output_id" },
	{ 0x74e34063, "processors" },
	{ 0x16b6df22, "of_graph_parse_endpoint" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x56521a49, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x6c46cd3b, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x99cd80a3, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd5817f50, "device_match_fwnode" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0xbaeb2f73, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4ddf0bf9, "put_device" },
	{ 0x44c633d8, "kmalloc_node_trace" },
	{ 0xbe662a13, "bus_for_each_dev" },
	{ 0x85784807, "_dev_info" },
	{ 0xd0378e88, "config_item_set_name" },
	{ 0x73bb1534, "__amba_driver_register" },
	{ 0x642747d4, "module_put" },
	{ 0xf794bfb5, "sysfs_create_link" },
	{ 0x3aff3200, "acpi_evaluate_object_typed" },
	{ 0x7807e95f, "sysfs_remove_link_from_group" },
	{ 0x7e12ce2d, "perf_pmu_register" },
	{ 0xc848e6dc, "idr_remove" },
	{ 0x736d330b, "of_get_child_by_name" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x9117b2e8, "bus_unregister" },
	{ 0x3789f0ee, "devm_kfree" },
	{ 0x23918d20, "_dev_err" },
	{ 0xd966a2b2, "bus_find_device" },
	{ 0x85a4f56, "configfs_register_subsystem" },
	{ 0x60e596cb, "__of_parse_phandle_with_args" },
	{ 0xfbcd30a3, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x1dcd1d20, "config_group_init_type_name" },
	{ 0x7e594367, "mutex_lock" },
	{ 0x67d136b1, "perf_pmu_unregister" },
	{ 0xa92aaf74, "of_find_property" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xf60e926, "perf_aux_output_end" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x838be7aa, "of_graph_get_next_endpoint" },
	{ 0x12aaef58, "sysfs_remove_file_from_group" },
	{ 0x2e08bfcf, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x10884677, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53398f10, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x163e6e02, "fwnode_handle_get" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x162893fd, "hashlen_string" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0x7f762dd2, "of_graph_get_port_parent" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe29be9f2, "__platform_driver_register" },
	{ 0xc8363e0b, "devm_kasprintf" },
	{ 0x7a99d638, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x77d1fec7, "fwnode_property_present" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x45de86fb, "__pm_runtime_resume" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0x9a11930d, "acpi_fetch_acpi_dev" },
	{ 0x8ccedcac, "of_cpu_node_to_id" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x30f06d49, "amba_bustype" },
	{ 0x459869f9, "platform_bus_type" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe9d9efcf, "sysfs_add_link_to_group" },
	{ 0x69ad64bd, "perf_get_aux" },
	{ 0xf8b99677, "devm_krealloc" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1d7cb1fc, "of_node_name_eq" },
	{ 0x8b8394c3, "kmalloc_trace" },
	{ 0xc7180815, "perf_aux_output_flag" },
	{ 0xc362ab4d, "configfs_unregister_group" },
	{ 0xbd03e17e, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x599fb8ab, "__pm_runtime_idle" },
	{ 0x62c063a7, "__dev_fwnode" },
	{ 0x55623917, "kmalloc_caches" },
	{ 0x458e85d5, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F43A9940CC75AED95789A81");
MODULE_INFO(rhelversion, "9.7");
