#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0x3cb067b7, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0xb3366af6, "_gpl");
SYMBOL_CRC(media_device_init, 0x52708dc0, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0xc069e2cd, "_gpl");
SYMBOL_CRC(__media_device_register, 0xdc5efe5b, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0xc2dc3041, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0x69cecb40, "_gpl");
SYMBOL_CRC(media_device_unregister, 0xcf01b003, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0xeca24c4a, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x2ee81df9, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0xc24822a4, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0xb6770cd8, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0xb5ffc21a, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0xcf73e322, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x412da101, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0x1d5798d5, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0xdaaf322f, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0xa93fe232, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0xca42234b, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0xf036531a, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0x6025d1be, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0xd79a4e23, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0xb3056fd2, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0xf3d6547e, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0xb9858010, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x595ad220, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x3d012405, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0xb239836a, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0xc686973c, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x0965b1f8, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x31521101, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x67c52bbe, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0xc6c8c325, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0x2d7bbcdd, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x3bdc5850, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0x9688b6aa, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0xac9a8f72, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0xa1077a90, "_gpl");
SYMBOL_CRC(media_devnode_create, 0x6164a005, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x3f443d5a, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0xf96eb798, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0x8d64bd5b, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0x277bd88c, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0xca6a8ab2, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x4816c167, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0xd9e24b25, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0xebed34d3, "_gpl");
SYMBOL_CRC(media_request_put, 0xd67ab453, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0xa126c7b0, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x4c4a5f68, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x458688e7, "_gpl");
SYMBOL_CRC(media_request_object_init, 0x9bedcc48, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x8e0977fe, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x9ec147a5, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x739e3bac, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x83d9588a, "_gpl");
SYMBOL_CRC(media_device_delete, 0xdc8359c4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8dcc62a, "krealloc" },
	{ 0x5a8cf3dc, "ida_alloc_range" },
	{ 0x45be5d25, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x16910de9, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa495b039, "ida_destroy" },
	{ 0x4fb5f205, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd608be97, "cdev_device_del" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe2997e7f, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x80eca38d, "fd_install" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb16c72df, "__wake_up" },
	{ 0x56521a49, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x6c46cd3b, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x92997ed8, "_printk" },
	{ 0xe3edb3ae, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x4ddf0bf9, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xc44bd7df, "fwnode_graph_parse_endpoint" },
	{ 0x642747d4, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb4f79df7, "device_create_file" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x9117b2e8, "bus_unregister" },
	{ 0xb65fe58c, "fput" },
	{ 0x23918d20, "_dev_err" },
	{ 0x7e594367, "mutex_lock" },
	{ 0x143ec08b, "ida_free" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdcb764ad, "memset" },
	{ 0x53398f10, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf639d606, "__init_waitqueue_head" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x459869f9, "platform_bus_type" },
	{ 0xa24f1bf0, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8b8394c3, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xbd03e17e, "__mutex_rt_init" },
	{ 0x129daf6c, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5793ca07, "pci_bus_type" },
	{ 0x55623917, "kmalloc_caches" },
	{ 0x8e763bf6, "device_remove_file" },
	{ 0x458e85d5, "bus_register" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "53E3D798C82384C14394313");
MODULE_INFO(rhelversion, "9.7");
