#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_state_get_by_berr_counter, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(of_can_transceiver, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x9e2837c8, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x27701a06, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x091402f4, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0x5ca98416, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0xc3430eeb, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x821f24c8, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x04daf8f8, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0xec24685b, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_state_get_by_berr_counter, 0x28aabec2, "_gpl");
SYMBOL_CRC(can_change_state, 0x2e690e7e, "_gpl");
SYMBOL_CRC(can_bus_off, 0x48654bf3, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x4e40df09, "_gpl");
SYMBOL_CRC(free_candev, 0xe8412521, "_gpl");
SYMBOL_CRC(can_change_mtu, 0xcea6a449, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0xc716eaed, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0x638250c9, "");
SYMBOL_CRC(open_candev, 0xac3c4702, "_gpl");
SYMBOL_CRC(of_can_transceiver, 0x263e3ff5, "_gpl");
SYMBOL_CRC(close_candev, 0x9a9945d0, "_gpl");
SYMBOL_CRC(register_candev, 0xc20565f7, "_gpl");
SYMBOL_CRC(unregister_candev, 0xe5a2fda8, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x6e547b8e, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x8099b698, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6fc0816f, "skb_put" },
	{ 0x4faa46cd, "gpiod_set_value" },
	{ 0xc237741e, "skb_tstamp_tx" },
	{ 0x3958917e, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x365bef0, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x54e0e36e, "unregister_netdev" },
	{ 0x61cd75c7, "rtnl_link_register" },
	{ 0xbf58b868, "netdev_warn" },
	{ 0x90672ec1, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x6699851c, "netdev_err" },
	{ 0x6f4f72a7, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x51cf9d8a, "device_property_read_u32_array" },
	{ 0x736d330b, "of_get_child_by_name" },
	{ 0x3de5d9bc, "rtnl_link_unregister" },
	{ 0xe37f81b8, "sk_skb_reason_drop" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x7df96bfe, "register_netdev" },
	{ 0xe09be22f, "free_netdev" },
	{ 0xdcb764ad, "memset" },
	{ 0xa80dc166, "sock_efree" },
	{ 0xb2ca7e81, "netif_rx" },
	{ 0xc3df2945, "__netdev_alloc_skb" },
	{ 0xdd68f29b, "skb_trim" },
	{ 0x53e7d833, "__dynamic_netdev_dbg" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0x57e766f4, "netif_carrier_off" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x63a9b59a, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x98f4e1ac, "netif_carrier_on" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x909fcc37, "dev_err_probe" },
	{ 0x54363ef1, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7102900d, "skb_clone_tx_timestamp" },
	{ 0x92f33f5e, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1A01C30400C623AD7A56E46");
MODULE_INFO(rhelversion, "9.7");
