#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mana_gd_send_request, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_dma_region, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_create_mana_eq, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_queue, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_register_device, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_deregister_device, "", "NET_MANA");
KSYMTAB_FUNC(mana_uncfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_cfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_create_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_destroy_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_get_primary_netdev_rcu, "", "NET_MANA");

SYMBOL_CRC(mana_gd_send_request, 0x14535952, "");
SYMBOL_CRC(mana_gd_destroy_dma_region, 0x94a44f50, "");
SYMBOL_CRC(mana_gd_create_mana_eq, 0xaa184a3a, "");
SYMBOL_CRC(mana_gd_destroy_queue, 0xbdfb59b1, "");
SYMBOL_CRC(mana_gd_register_device, 0x908663e2, "");
SYMBOL_CRC(mana_gd_deregister_device, 0x55e0687b, "");
SYMBOL_CRC(mana_uncfg_vport, 0xec3c3192, "");
SYMBOL_CRC(mana_cfg_vport, 0x88abc402, "");
SYMBOL_CRC(mana_create_wq_obj, 0xa4e4dad1, "");
SYMBOL_CRC(mana_destroy_wq_obj, 0x76a80daf, "");
SYMBOL_CRC(mana_get_primary_netdev_rcu, 0x88cf8e8d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x27511ea, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x5a8cf3dc, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd4e3c1ee, "bpf_prog_put" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x6605af84, "pci_enable_device" },
	{ 0x6fc0816f, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x513ebfe, "auxiliary_device_init" },
	{ 0x254584a4, "pci_iomap" },
	{ 0xef939a62, "pci_alloc_irq_vectors" },
	{ 0xffcac9cd, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8f8fe787, "bpf_warn_invalid_xdp_action" },
	{ 0x1092ccb2, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0xfaf2c409, "debugfs_create_u16" },
	{ 0xf8afc23d, "dma_unmap_page_attrs" },
	{ 0xc42c0839, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xea3e84a8, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf70ea98e, "page_pool_destroy" },
	{ 0xfa4f7c6a, "xdp_do_redirect" },
	{ 0x14c46229, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbf58b868, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xe28bf0c, "pci_irq_vector" },
	{ 0x58861662, "__netif_napi_del" },
	{ 0x6081a48f, "unregister_netdevice_queue" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x6c46cd3b, "__dynamic_dev_dbg" },
	{ 0xc6de09f5, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x6699851c, "netdev_err" },
	{ 0xa10ac3e6, "pskb_expand_head" },
	{ 0xd457202e, "dev_driver_string" },
	{ 0xc9383204, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x49ec88a3, "eth_type_trans" },
	{ 0x29602315, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xbc30a559, "napi_complete_done" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x4f0d853e, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4ddf0bf9, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x7b3a3df, "netif_device_detach" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x85784807, "_dev_info" },
	{ 0xd15f5517, "napi_gro_receive" },
	{ 0xb52db2a7, "netif_device_attach" },
	{ 0x34e662ce, "skb_queue_tail" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfabb3fe8, "__skb_get_hash_net" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x23918d20, "_dev_err" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xcc301cce, "simple_open" },
	{ 0xa288f423, "xdp_build_skb_from_frame" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xacce839d, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1c9d6da9, "__traceiter_xdp_exception" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x702110fb, "netif_set_real_num_tx_queues" },
	{ 0x68e990eb, "__auxiliary_device_add" },
	{ 0x94c6777a, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x6c3898fc, "netdev_printk" },
	{ 0x7e594367, "mutex_lock" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0xfdbd5039, "dma_alloc_attrs" },
	{ 0xaf5497b6, "debugfs_remove" },
	{ 0x87e00594, "pcie_flr" },
	{ 0x2c287204, "napi_enable" },
	{ 0x7df96bfe, "register_netdev" },
	{ 0x143ec08b, "ida_free" },
	{ 0xe09be22f, "free_netdev" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6af9921, "ethtool_op_get_link" },
	{ 0x5dd2479f, "pci_iounmap" },
	{ 0x40ce737, "netif_tx_wake_queue" },
	{ 0xb964c8fa, "device_del" },
	{ 0x4afc1bec, "page_pool_create" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xdcb764ad, "memset" },
	{ 0x53398f10, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xdf2fa1ee, "__alloc_pages" },
	{ 0x4af0b979, "pci_set_master" },
	{ 0xf4da110c, "skb_dequeue_tail" },
	{ 0x9f4fbce6, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0xe79042ae, "__bitmap_weight_andnot" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5bfe0cfd, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x8e8e7a5d, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0x8aab8c0f, "pci_release_regions" },
	{ 0x5adfdf51, "bpf_prog_add" },
	{ 0x7e94e09f, "cpu_topology" },
	{ 0xb7a07ab9, "xdp_rxq_info_unreg" },
	{ 0x57719e06, "page_pool_alloc_pages" },
	{ 0x582f0f2, "napi_build_skb" },
	{ 0x8b8d516, "netdev_master_upper_dev_get_rcu" },
	{ 0xe1820b37, "__folio_put" },
	{ 0xad7e42a7, "__xdp_rxq_info_reg" },
	{ 0x29e004a8, "xdp_set_features_flag" },
	{ 0x56470118, "__warn_printk" },
	{ 0x57e766f4, "netif_carrier_off" },
	{ 0x98f4e1ac, "netif_carrier_on" },
	{ 0x4d303641, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x645ed9d2, "pci_disable_device" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x10271dbe, "dma_set_mask" },
	{ 0x8b8394c3, "kmalloc_trace" },
	{ 0xdf6a680f, "xdp_master_redirect" },
	{ 0x45331f17, "__napi_schedule_irqoff" },
	{ 0xce3789b2, "napi_schedule_prep" },
	{ 0x708e37ed, "napi_consume_skb" },
	{ 0x3cd1548c, "napi_disable" },
	{ 0x54363ef1, "dev_kfree_skb_any_reason" },
	{ 0x229484cd, "netdev_stats_to_stats64" },
	{ 0xceaa7ab5, "debugfs_create_dir" },
	{ 0xc19dc28b, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xbd03e17e, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x55623917, "kmalloc_caches" },
	{ 0x92f33f5e, "netdev_info" },
	{ 0xb655335a, "page_pool_put_unrefed_page" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001414d000000B9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001414d000000BAsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "7E83E50B9C2CE50BA11A98E");
MODULE_INFO(rhelversion, "9.7");
