#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xba35f245, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0xc9788cfc, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x7d5ed5b7, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x20fef9a5, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0xdd05fec4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7fab5f93, "__do_once_done" },
	{ 0xd360c550, "ip6_route_input_lookup" },
	{ 0x5a8cf3dc, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xd52725a, "dev_pre_changeaddr_notify" },
	{ 0xcf118fab, "dev_mc_sync" },
	{ 0xa495b039, "ida_destroy" },
	{ 0xe1bcf7b6, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc961536a, "netdev_update_features" },
	{ 0x365bef0, "consume_skb" },
	{ 0xef9aea58, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0xde8653de, "dev_uc_sync" },
	{ 0x61cd75c7, "rtnl_link_register" },
	{ 0xfdc87894, "netif_inherit_tso_max" },
	{ 0x9288f5c9, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xad695358, "ip_route_output_flow" },
	{ 0x6081a48f, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xc589f17d, "dev_uc_unsync" },
	{ 0xf84d0a02, "ether_setup" },
	{ 0x6699851c, "netdev_err" },
	{ 0x5bdb9063, "netdev_upper_dev_link" },
	{ 0x4ed6978f, "register_pernet_subsys" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2d39250a, "eth_header_parse" },
	{ 0x43aa41ef, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9c5b6ee, "eth_header_cache_update" },
	{ 0xe44da85b, "nf_register_net_hooks" },
	{ 0xee9e8c38, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xcf96a7d, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x5db88380, "__dev_get_by_index" },
	{ 0x3de5d9bc, "rtnl_link_unregister" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x73afd300, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe37f81b8, "sk_skb_reason_drop" },
	{ 0x35a45163, "netif_stacked_transfer_operstate" },
	{ 0x3952f91a, "netdev_upper_dev_unlink" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x143ec08b, "ida_free" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x14cc2b93, "ns_capable" },
	{ 0x2ea58f98, "nf_unregister_net_hooks" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6af9921, "ethtool_op_get_link" },
	{ 0x286a7852, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xb0599ae0, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2d7cb279, "__pskb_pull_tail" },
	{ 0xb2ca7e81, "netif_rx" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x80658a00, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x3699e644, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7d2d1863, "vlan_vid_add" },
	{ 0xe2b64085, "call_netdevice_notifiers" },
	{ 0x1edbe49e, "vlan_vid_del" },
	{ 0x402252b6, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x63a9b59a, "skb_clone" },
	{ 0x634711bf, "dst_release" },
	{ 0xcde4dfad, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x40aeb698, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x8b8394c3, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x18a4f3a6, "dev_mc_unsync" },
	{ 0xefc228cd, "dev_change_flags" },
	{ 0x8b7e43db, "netdev_core_stats_inc" },
	{ 0x5047ef67, "dev_forward_skb" },
	{ 0x55623917, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb8d8ea7d, "register_netdevice" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "ipv6");


MODULE_INFO(srcversion, "7A73F089E94612E3EDC21BC");
MODULE_INFO(rhelversion, "9.7");
