#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x4673316e, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0x591bed18, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0xb9845c99, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x07902765, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0x1ec30457, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0xce458ee9, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0xc76db143, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0xf41504d0, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0x06418e8e, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0x17ab179e, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x8d63aaf5, "_gpl");
SYMBOL_CRC(at803x_read_status, 0xcf92180a, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0xed55961a, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x841e3ac1, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0xc737b1a7, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0xde26c11c, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x09f3ed2d, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x3dec1cb8, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x15498fab, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0xb9ae33ba, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0xca8b05d8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x47508dc3, "mdiobus_write" },
	{ 0x6b25c2c8, "mdiobus_read" },
	{ 0x9ed470b, "phy_write_mmd" },
	{ 0x535e417d, "phy_modify" },
	{ 0xa6c9e214, "phy_trigger_machine" },
	{ 0x32bfe1a0, "phy_error" },
	{ 0xf76889f8, "phy_modify_changed" },
	{ 0x36d95cee, "genphy_update_link" },
	{ 0x41b8a25a, "genphy_read_lpa" },
	{ 0x89f8e744, "phy_resolve_aneg_pause" },
	{ 0x1d9fa25e, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x23918d20, "_dev_err" },
	{ 0x3587753e, "phy_read_mmd" },
	{ 0xe684b720, "ethnl_cable_test_result_with_src" },
	{ 0x767702c4, "ethnl_cable_test_fault_length_with_src" },
	{ 0x5454e17, "phy_modify_mmd" },
	{ 0x15abbdc1, "genphy_soft_reset" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.7");
