#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0x6557b95c, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0x0f6bac31, "_gpl");
SYMBOL_CRC(wwan_create_port, 0x7aeccdee, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0x54f5ecf0, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0x210aa638, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0x953a9457, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a8cf3dc, "ida_alloc_range" },
	{ 0xb4e42086, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xca5f86d0, "__nlmsg_put" },
	{ 0x6fc0816f, "skb_put" },
	{ 0x4fb5f205, "dev_set_name" },
	{ 0x365bef0, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x19e4e6e2, "device_unregister" },
	{ 0x1092ccb2, "skb_dequeue" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0x288bdf32, "finish_wait" },
	{ 0x61cd75c7, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0x7e74b67b, "device_for_each_child" },
	{ 0x33bf7387, "prepare_to_wait_event" },
	{ 0xb16c72df, "__wake_up" },
	{ 0x1b0756a2, "rtnl_create_link" },
	{ 0x6081a48f, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xaf2d7de4, "skb_queue_purge_reason" },
	{ 0x6f4f72a7, "alloc_netdev_mqs" },
	{ 0xb0b5c83b, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x4ddf0bf9, "put_device" },
	{ 0xc382aa18, "__alloc_skb" },
	{ 0x85784807, "_dev_info" },
	{ 0x34e662ce, "skb_queue_tail" },
	{ 0x4b5902ce, "rtnl_configure_link" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3de5d9bc, "rtnl_link_unregister" },
	{ 0x5a1148a6, "init_net" },
	{ 0x73afd300, "skb_pull" },
	{ 0xe37f81b8, "sk_skb_reason_drop" },
	{ 0xaa863b36, "noop_llseek" },
	{ 0x7e594367, "mutex_lock" },
	{ 0xaf5497b6, "debugfs_remove" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x143ec08b, "ida_free" },
	{ 0xe09be22f, "free_netdev" },
	{ 0x40932e9f, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7109d893, "class_dev_iter_init" },
	{ 0x10884677, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xdcb764ad, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf639d606, "__init_waitqueue_head" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0x18ab2ae8, "__register_chrdev" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x59e43ab1, "stream_open" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8b8394c3, "kmalloc_trace" },
	{ 0xad56179f, "device_find_child_by_name" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xceaa7ab5, "debugfs_create_dir" },
	{ 0xbd03e17e, "__mutex_rt_init" },
	{ 0xf5f161b8, "class_register" },
	{ 0x55623917, "kmalloc_caches" },
	{ 0x2308fe31, "skb_queue_head" },
	{ 0x582f64b1, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xb8d8ea7d, "register_netdevice" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3549841979CC29F5D1EEDEF");
MODULE_INFO(rhelversion, "9.7");
