#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_subsystem_reset, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0x9426e2f2, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0x60cbc4bc, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0xb0cc6da0, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x2c729b55, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0x13538670, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0xe7dabc29, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0xecd168b8, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0xf5f1b51e, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x3d6f4324, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0xc73ceeda, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x9c84dd79, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0xcf3e5155, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0x5fbe27af, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x1510b9de, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x45be5d25, "try_module_get" },
	{ 0x78a06144, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4ddf0bf9, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x85784807, "_dev_info" },
	{ 0x642747d4, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb3856c32, "key_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xa1ceeedb, "down_write" },
	{ 0x23918d20, "_dev_err" },
	{ 0x2c665d23, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0x45c95f40, "device_create" },
	{ 0x7e594367, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x9b6781f, "seq_putc" },
	{ 0x40932e9f, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x6b6d01c4, "__nvme_submit_sync_cmd" },
	{ 0xc0253a36, "nvme_try_sched_reset" },
	{ 0xdcb764ad, "memset" },
	{ 0x53398f10, "_dev_warn" },
	{ 0xf8ec5dd4, "misc_register" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x8d285302, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x612783e8, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0xa99b968, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa337a4f6, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xbb708ee5, "seq_puts" },
	{ 0x4da14bf2, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8e5c3e7d, "nvme_wait_reset" },
	{ 0x8b8394c3, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7be2b13e, "single_open" },
	{ 0x2d965e1d, "up_read" },
	{ 0xf5f161b8, "class_register" },
	{ 0x55623917, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "nvme-core");


MODULE_INFO(srcversion, "CB022BE61218846E070BDFD");
MODULE_INFO(rhelversion, "9.7");
