#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_ep_set_maxpacket_limit, "_gpl", "");
KSYMTAB_FUNC(usb_ep_enable, "_gpl", "");
KSYMTAB_FUNC(usb_ep_disable, "_gpl", "");
KSYMTAB_FUNC(usb_ep_alloc_request, "_gpl", "");
KSYMTAB_FUNC(usb_ep_free_request, "_gpl", "");
KSYMTAB_FUNC(usb_ep_queue, "_gpl", "");
KSYMTAB_FUNC(usb_ep_dequeue, "_gpl", "");
KSYMTAB_FUNC(usb_ep_set_halt, "_gpl", "");
KSYMTAB_FUNC(usb_ep_clear_halt, "_gpl", "");
KSYMTAB_FUNC(usb_ep_set_wedge, "_gpl", "");
KSYMTAB_FUNC(usb_ep_fifo_status, "_gpl", "");
KSYMTAB_FUNC(usb_ep_fifo_flush, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_frame_number, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_wakeup, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_set_remote_wakeup, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_set_selfpowered, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_clear_selfpowered, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_vbus_connect, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_vbus_draw, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_vbus_disconnect, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_connect, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_disconnect, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_deactivate, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_activate, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_map_request_by_dev, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_map_request, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_unmap_request_by_dev, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_unmap_request, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_giveback_request, "_gpl", "");
KSYMTAB_FUNC(gadget_find_ep_by_name, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_ep_match_desc, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_check_config, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_set_state, "_gpl", "");
KSYMTAB_FUNC(usb_udc_vbus_handler, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_udc_reset, "_gpl", "");
KSYMTAB_FUNC(usb_initialize_gadget, "_gpl", "");
KSYMTAB_FUNC(usb_add_gadget, "_gpl", "");
KSYMTAB_FUNC(usb_add_gadget_udc_release, "_gpl", "");
KSYMTAB_FUNC(usb_get_gadget_udc_name, "_gpl", "");
KSYMTAB_FUNC(usb_add_gadget_udc, "_gpl", "");
KSYMTAB_FUNC(usb_del_gadget, "_gpl", "");
KSYMTAB_FUNC(usb_del_gadget_udc, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_register_driver_owner, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_unregister_driver, "_gpl", "");

SYMBOL_CRC(usb_ep_set_maxpacket_limit, 0x89bf9dba, "_gpl");
SYMBOL_CRC(usb_ep_enable, 0xbcf61715, "_gpl");
SYMBOL_CRC(usb_ep_disable, 0xd152cd3f, "_gpl");
SYMBOL_CRC(usb_ep_alloc_request, 0x8ca7011c, "_gpl");
SYMBOL_CRC(usb_ep_free_request, 0x970607ff, "_gpl");
SYMBOL_CRC(usb_ep_queue, 0x7673e7f6, "_gpl");
SYMBOL_CRC(usb_ep_dequeue, 0x8c8eed8e, "_gpl");
SYMBOL_CRC(usb_ep_set_halt, 0x2d75696f, "_gpl");
SYMBOL_CRC(usb_ep_clear_halt, 0x861cbccd, "_gpl");
SYMBOL_CRC(usb_ep_set_wedge, 0x419d8389, "_gpl");
SYMBOL_CRC(usb_ep_fifo_status, 0x0b880a06, "_gpl");
SYMBOL_CRC(usb_ep_fifo_flush, 0xb2211837, "_gpl");
SYMBOL_CRC(usb_gadget_frame_number, 0x2e344f9c, "_gpl");
SYMBOL_CRC(usb_gadget_wakeup, 0x5f9c999c, "_gpl");
SYMBOL_CRC(usb_gadget_set_remote_wakeup, 0x59db159b, "_gpl");
SYMBOL_CRC(usb_gadget_set_selfpowered, 0x86b23f59, "_gpl");
SYMBOL_CRC(usb_gadget_clear_selfpowered, 0x9abddee1, "_gpl");
SYMBOL_CRC(usb_gadget_vbus_connect, 0x1b40066e, "_gpl");
SYMBOL_CRC(usb_gadget_vbus_draw, 0x3380731d, "_gpl");
SYMBOL_CRC(usb_gadget_vbus_disconnect, 0x852c3d26, "_gpl");
SYMBOL_CRC(usb_gadget_connect, 0xf97a58b9, "_gpl");
SYMBOL_CRC(usb_gadget_disconnect, 0xefdeb719, "_gpl");
SYMBOL_CRC(usb_gadget_deactivate, 0xfb4681ee, "_gpl");
SYMBOL_CRC(usb_gadget_activate, 0x8ba01ffe, "_gpl");
SYMBOL_CRC(usb_gadget_map_request_by_dev, 0x99402128, "_gpl");
SYMBOL_CRC(usb_gadget_map_request, 0x526fc3fa, "_gpl");
SYMBOL_CRC(usb_gadget_unmap_request_by_dev, 0x853d4b88, "_gpl");
SYMBOL_CRC(usb_gadget_unmap_request, 0x2fc9caae, "_gpl");
SYMBOL_CRC(usb_gadget_giveback_request, 0x2bbc8df2, "_gpl");
SYMBOL_CRC(gadget_find_ep_by_name, 0x876e25de, "_gpl");
SYMBOL_CRC(usb_gadget_ep_match_desc, 0x2a2b3a12, "_gpl");
SYMBOL_CRC(usb_gadget_check_config, 0x75f73393, "_gpl");
SYMBOL_CRC(usb_gadget_set_state, 0x6841e21a, "_gpl");
SYMBOL_CRC(usb_udc_vbus_handler, 0x09254f80, "_gpl");
SYMBOL_CRC(usb_gadget_udc_reset, 0x4c63c411, "_gpl");
SYMBOL_CRC(usb_initialize_gadget, 0xd7f0083f, "_gpl");
SYMBOL_CRC(usb_add_gadget, 0xecdbad60, "_gpl");
SYMBOL_CRC(usb_add_gadget_udc_release, 0x6772ccba, "_gpl");
SYMBOL_CRC(usb_get_gadget_udc_name, 0x50b88f41, "_gpl");
SYMBOL_CRC(usb_add_gadget_udc, 0xe6e10302, "_gpl");
SYMBOL_CRC(usb_del_gadget, 0x5d41f927, "_gpl");
SYMBOL_CRC(usb_del_gadget_udc, 0xeb6c3b3c, "_gpl");
SYMBOL_CRC(usb_gadget_register_driver_owner, 0x830ab2e9, "_gpl");
SYMBOL_CRC(usb_gadget_unregister_driver, 0xb48ac6e9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x5a8cf3dc, "ida_alloc_range" },
	{ 0x4fb5f205, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x575954e, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x19e4e6e2, "device_unregister" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0xf8afc23d, "dma_unmap_page_attrs" },
	{ 0x204f216b, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xe2997e7f, "device_initialize" },
	{ 0x189629fd, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6c9117d, "bpf_trace_run2" },
	{ 0x72e87b19, "event_triggers_call" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x6c46cd3b, "__dynamic_dev_dbg" },
	{ 0xd457202e, "dev_driver_string" },
	{ 0x4d5a75dc, "trace_event_buffer_commit" },
	{ 0xf9d9494c, "sysfs_notify" },
	{ 0x29602315, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4ddf0bf9, "put_device" },
	{ 0x80eee501, "trace_event_ignore_this_pid" },
	{ 0xf794bfb5, "sysfs_create_link" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x5041970a, "perf_trace_run_bpf_submit" },
	{ 0x9117b2e8, "bus_unregister" },
	{ 0x23918d20, "_dev_err" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x5500f03e, "device_add" },
	{ 0xfbcd30a3, "sysfs_remove_link" },
	{ 0x7e594367, "mutex_lock" },
	{ 0xb686408b, "trace_event_reg" },
	{ 0x143ec08b, "ida_free" },
	{ 0x8520f7eb, "driver_unregister" },
	{ 0x40932e9f, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xb964c8fa, "device_del" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745e43c2, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x17f9c662, "trace_event_buffer_reserve" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0x282cdabc, "usb_led_activity" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1a91c6f, "kobject_uevent" },
	{ 0x65cb688e, "dma_unmap_sg_attrs" },
	{ 0x8b8394c3, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4de17ab3, "usb_state_string" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x16e427ab, "driver_register" },
	{ 0xbd03e17e, "__mutex_rt_init" },
	{ 0xf5f161b8, "class_register" },
	{ 0x55623917, "kmalloc_caches" },
	{ 0x458e85d5, "bus_register" },
	{ 0x22b01462, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "48FE4A7EBE832725628B42C");
MODULE_INFO(rhelversion, "9.7");
