#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x21e13817, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0xbb270b55, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0xc545dad1, "_gpl");
SYMBOL_CRC(fat_scan, 0x788df525, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xb4cb0f54, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xb156a86d, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x73068ea7, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xcc4e0884, "_gpl");
SYMBOL_CRC(fat_getattr, 0x0b1784f2, "_gpl");
SYMBOL_CRC(fat_setattr, 0xedf70893, "_gpl");
SYMBOL_CRC(fat_attach, 0x4bf5653a, "_gpl");
SYMBOL_CRC(fat_detach, 0xb30ea601, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x500434d0, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0xe3b40de4, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x82757311, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0xd906eb3a, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x7627d2fa, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xf3b3aaa4, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x26097e59, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x09033e1a, "_gpl");
SYMBOL_CRC(fat_update_time, 0x4bb5bd02, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe6301813, "filemap_fdatawrite" },
	{ 0xf956234d, "generic_fillattr" },
	{ 0x6d71920b, "setattr_prepare" },
	{ 0x10869f98, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6a230c4e, "__init_rwsem" },
	{ 0x814de5d7, "sync_blockdev_nowait" },
	{ 0x44efdcae, "make_vfsgid" },
	{ 0x67582076, "blk_start_plug" },
	{ 0x99964d4a, "clear_inode" },
	{ 0x4274f75c, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x9aebb664, "generic_file_splice_read" },
	{ 0xca01f6ec, "new_inode" },
	{ 0x9148fea3, "mark_buffer_dirty" },
	{ 0x6951b48b, "security_inode_setattr" },
	{ 0x2927c2bc, "__find_get_block" },
	{ 0x9df66fca, "filemap_fdatawrite_range" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0x54a8be18, "inode_needs_sync" },
	{ 0x9977b19c, "__blockdev_direct_IO" },
	{ 0x4a8ea3ff, "d_make_root" },
	{ 0x974821ee, "__bforget" },
	{ 0xab15a894, "sb_set_blocksize" },
	{ 0x8e3c3618, "block_truncate_page" },
	{ 0xaf7a3fd1, "write_dirty_buffer" },
	{ 0x5e2ef9a, "sync_filesystem" },
	{ 0xa9864f8c, "fsnotify" },
	{ 0x305ea7e0, "current_time" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcf6eff54, "from_vfsuid" },
	{ 0x2865794b, "inode_dio_wait" },
	{ 0x255fba0d, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x418c1fd4, "cont_write_begin" },
	{ 0x311808bb, "iput" },
	{ 0xf555ec7b, "iter_file_splice_write" },
	{ 0x2e0e1104, "generic_file_write_iter" },
	{ 0xa504eb34, "kmem_cache_create" },
	{ 0xf663b87c, "sync_inode_metadata" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb681e4ad, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xac331fc5, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x34715927, "block_invalidate_folio" },
	{ 0xb8dad2ab, "__breadahead" },
	{ 0xd8e9f496, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x26545f1b, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4325654b, "load_nls" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x959afa48, "generic_cont_expand_simple" },
	{ 0x9a3d36cf, "make_kuid" },
	{ 0x34161b09, "truncate_inode_pages_final" },
	{ 0xd2f24798, "block_write_full_page" },
	{ 0x3ca51d34, "generic_file_mmap" },
	{ 0x264fb405, "sync_mapping_buffers" },
	{ 0xa8e19170, "ilookup" },
	{ 0xf5ba3b26, "kmem_cache_alloc" },
	{ 0xc305e7fd, "invalidate_inode_buffers" },
	{ 0xec4259cc, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x60d37ca, "mnt_drop_write_file" },
	{ 0x5b8c0119, "inode_init_once" },
	{ 0xe341026d, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xa4e6a5dd, "__brelse" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa1ceeedb, "down_write" },
	{ 0x2c665d23, "up_write" },
	{ 0x3086ba50, "generic_file_read_iter" },
	{ 0x136ad643, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0xc213831e, "truncate_pagecache" },
	{ 0x740e2969, "sync_dirty_buffer" },
	{ 0x2487913b, "setattr_copy" },
	{ 0x5db45965, "__wait_on_buffer" },
	{ 0x98f62112, "set_nlink" },
	{ 0x7e594367, "mutex_lock" },
	{ 0x284fdcb5, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x1371fc06, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x75c87835, "from_vfsgid" },
	{ 0xe84a3538, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x73c523c5, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd2e6abe6, "__bread_gfp" },
	{ 0x339352a, "block_dirty_folio" },
	{ 0xa10a8620, "mpage_read_folio" },
	{ 0xdcb764ad, "memset" },
	{ 0xb8fc6b31, "__insert_inode_hash" },
	{ 0x538febe, "make_kgid" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0xca2c0622, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8d285302, "down_read" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0x8ad97fdc, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x617daa9b, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x15d4cf0, "igrab" },
	{ 0x56410d63, "__getblk_gfp" },
	{ 0xa83b8432, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0x497824fc, "mpage_readahead" },
	{ 0x3ebdb7d5, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x3ffc4339, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0xa337a4f6, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x19f6be30, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x8984ed11, "blkdev_issue_flush" },
	{ 0xbb708ee5, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe2128f65, "generic_fh_to_parent" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xbcf957d9, "from_kuid_munged" },
	{ 0x8b8394c3, "kmalloc_trace" },
	{ 0xb0144af6, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xc88d71e1, "kmem_cache_alloc_lru" },
	{ 0xd1e8a5c0, "__mark_inode_dirty" },
	{ 0x339294b3, "generic_file_llseek" },
	{ 0xe07253a2, "unload_nls" },
	{ 0x2d965e1d, "up_read" },
	{ 0x959da066, "mark_buffer_dirty_inode" },
	{ 0xbd03e17e, "__mutex_rt_init" },
	{ 0x11b39323, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x55623917, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x30380903, "kmem_cache_destroy" },
	{ 0x3bfaba61, "blkdev_issue_discard" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0DF33C03A1CFD5AA6EBC33C");
MODULE_INFO(rhelversion, "9.7");
