#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(fscache_dirty_folio, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");

SYMBOL_CRC(fscache_addremove_sem, 0x32c4bcda, "");
SYMBOL_CRC(fscache_clearance_waiters, 0x4b921b3d, "");
SYMBOL_CRC(fscache_acquire_cache, 0xe5e612d8, "");
SYMBOL_CRC(fscache_relinquish_cache, 0x12c5ac5c, "");
SYMBOL_CRC(fscache_add_cache, 0xc45b50f4, "");
SYMBOL_CRC(fscache_io_error, 0x6db148df, "");
SYMBOL_CRC(fscache_withdraw_cache, 0x406aaa2c, "");
SYMBOL_CRC(fscache_end_cookie_access, 0xc1859738, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0x0b71f559, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x777d79c8, "");
SYMBOL_CRC(fscache_caching_failed, 0x0ca0680e, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0xec8ef712, "");
SYMBOL_CRC(__fscache_use_cookie, 0x719abaf6, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0xe5d05212, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0x95d8691c, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0xf6aa33e2, "");
SYMBOL_CRC(fscache_put_cookie, 0xa9d19b8d, "");
SYMBOL_CRC(fscache_get_cookie, 0xf0933a42, "");
SYMBOL_CRC(__fscache_invalidate, 0x74b24d4e, "");
SYMBOL_CRC(fscache_wait_for_operation, 0xc5a511e2, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0x1f0308f5, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0xfe497652, "");
SYMBOL_CRC(fscache_dirty_folio, 0x371d3567, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x1f85b6f6, "");
SYMBOL_CRC(__fscache_write_to_cache, 0xed2a36b1, "");
SYMBOL_CRC(__fscache_resize_cookie, 0xcea637aa, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x39674879, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x4bd084ba, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x6c5e41e7, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x6e416521, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x1a25cfa0, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x306805d3, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0xb16c48ca, "");
SYMBOL_CRC(fscache_end_volume_access, 0xda489962, "");
SYMBOL_CRC(__fscache_acquire_volume, 0xc1248709, "");
SYMBOL_CRC(fscache_put_volume, 0xad491cfd, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0xc53c2553, "");
SYMBOL_CRC(fscache_withdraw_volume, 0xbca5b580, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x10a8f72d, "bpf_trace_run4" },
	{ 0x1fdf466, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x575954e, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0x288bdf32, "finish_wait" },
	{ 0x204f216b, "trace_event_printf" },
	{ 0x64e83815, "xas_find" },
	{ 0x189629fd, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc6382c60, "netfs_stats_show" },
	{ 0xf6c9117d, "bpf_trace_run2" },
	{ 0x33bf7387, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x5bb99443, "remove_proc_subtree" },
	{ 0x72e87b19, "event_triggers_call" },
	{ 0xa504eb34, "kmem_cache_create" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x4d5a75dc, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x80eee501, "trace_event_ignore_this_pid" },
	{ 0x459d85a6, "rt_write_unlock" },
	{ 0xf5ba3b26, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x1adf4be3, "__var_waitqueue" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x5041970a, "perf_trace_run_bpf_submit" },
	{ 0xa1ceeedb, "down_write" },
	{ 0x2c665d23, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xea5d4f8, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x284fdcb5, "kmem_cache_free" },
	{ 0xb686408b, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x2684a9c8, "bpf_trace_run1" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3402dd97, "proc_mkdir" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x2fead5ac, "folio_end_private_2" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8d285302, "down_read" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745e43c2, "bpf_trace_run3" },
	{ 0xcf664a62, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x17f9c662, "trace_event_buffer_reserve" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3207e11e, "rt_read_unlock" },
	{ 0x8c36125c, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa337a4f6, "seq_printf" },
	{ 0x493fe4e7, "rt_write_lock" },
	{ 0x699be3ac, "filemap_dirty_folio" },
	{ 0xbb708ee5, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7c94f058, "iov_iter_xarray" },
	{ 0x53f268b7, "proc_create_single_data" },
	{ 0x8b8394c3, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x59a86622, "proc_create_seq_private" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x2d965e1d, "up_read" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x55623917, "kmalloc_caches" },
	{ 0x30380903, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "F1A7D48A931551A9DD3AC79");
MODULE_INFO(rhelversion, "9.7");
