#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x98193507, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x6e094b35, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x90cfb542, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x7291977a, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x2dff4dac, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0xd7bc031a, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x247d8020, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x593099be, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x3c679d92, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x3cfca6e5, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xd4228f89, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x2323a463, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x6d0ec4a1, "ipv6_chk_addr_and_flags" },
	{ 0x49c6d1c3, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xd426f85d, "ip6tun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xde9534a7, "register_pernet_device" },
	{ 0xe141677d, "xfrm6_tunnel_register" },
	{ 0x61cd75c7, "rtnl_link_register" },
	{ 0x6922602a, "xfrm6_tunnel_deregister" },
	{ 0x201a39c8, "unregister_pernet_device" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6081a48f, "unregister_netdevice_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x7613b635, "rt6_lookup" },
	{ 0x634711bf, "dst_release" },
	{ 0x5db88380, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd8bd145a, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x5a1148a6, "init_net" },
	{ 0x6f4f72a7, "alloc_netdev_mqs" },
	{ 0x7df96bfe, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xe09be22f, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3de5d9bc, "rtnl_link_unregister" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x73abdd07, "gro_cells_init" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x2d7cb279, "__pskb_pull_tail" },
	{ 0xb8d8ea7d, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x98e66b63, "netdev_state_change" },
	{ 0x9a3d36cf, "make_kuid" },
	{ 0xdaba442a, "ip6_redirect" },
	{ 0xeac39053, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xf60eabb9, "dst_cache_get" },
	{ 0x80658a00, "skb_scrub_packet" },
	{ 0x1e730eba, "skb_realloc_headroom" },
	{ 0xc7ed4c6f, "skb_set_owner_w" },
	{ 0x365bef0, "consume_skb" },
	{ 0xe7922179, "ipv6_push_frag_opts" },
	{ 0xe16ee711, "skb_push" },
	{ 0xef9aea58, "ip6_local_out" },
	{ 0xee9e8c38, "ip6_route_output_flags" },
	{ 0x8c0fbeac, "ipv6_dev_get_saddr" },
	{ 0x694132d3, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x31d58dce, "skb_copy_bits" },
	{ 0xc4055b96, "ip6_dst_hoplimit" },
	{ 0xe3610345, "neigh_destroy" },
	{ 0x63a9b59a, "skb_clone" },
	{ 0x73afd300, "skb_pull" },
	{ 0x6f8644f, "__icmpv6_send" },
	{ 0xe37f81b8, "sk_skb_reason_drop" },
	{ 0x770e5627, "gro_cells_receive" },
	{ 0x49ec88a3, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xad695358, "ip_route_output_flow" },
	{ 0xcf96a7d, "ip_route_input_noref" },
	{ 0x44058328, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfafd3096, "__iptunnel_pull_header" },
	{ 0x8ba786e3, "metadata_dst_alloc" },
	{ 0xd90c743a, "iptunnel_handle_offloads" },
	{ 0x665bc10a, "icmpv6_ndo_send" },
	{ 0xd1011aad, "icmp_ndo_send" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x14cc2b93, "ns_capable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x422197e3, "dev_get_tstats64" },
	{ 0x758f1246, "param_ops_bool" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "51119951CF018A48EEED5B1");
MODULE_INFO(rhelversion, "9.7");
