#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_nat_sip_hooks, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_request, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_header, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_header_uri, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_address_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_numerical_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_sdp_header, "_gpl", "");

SYMBOL_CRC(nf_nat_sip_hooks, 0x2f7e8109, "_gpl");
SYMBOL_CRC(ct_sip_parse_request, 0x6b6381c2, "_gpl");
SYMBOL_CRC(ct_sip_get_header, 0x343e6589, "_gpl");
SYMBOL_CRC(ct_sip_parse_header_uri, 0x09fc2af0, "_gpl");
SYMBOL_CRC(ct_sip_parse_address_param, 0x21517865, "_gpl");
SYMBOL_CRC(ct_sip_parse_numerical_param, 0xaaa223b2, "_gpl");
SYMBOL_CRC(ct_sip_get_sdp_header, 0xf76f4c26, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11089ac7, "_ctype" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x2e97b230, "nf_ct_helper_init" },
	{ 0xc8874f95, "nf_conntrack_helpers_register" },
	{ 0x92997ed8, "_printk" },
	{ 0x55fc0900, "nf_conntrack_helpers_unregister" },
	{ 0xdbe5ab71, "nf_ct_helper_log" },
	{ 0xab1fba6f, "nf_conntrack_expect_lock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7a98e902, "nf_ct_remove_expect" },
	{ 0x4df34c83, "__nf_ct_ext_find" },
	{ 0x3f02f497, "__nf_ct_refresh_acct" },
	{ 0x2d7cb279, "__pskb_pull_tail" },
	{ 0x31d58dce, "skb_copy_bits" },
	{ 0x39657a06, "nf_ct_expect_alloc" },
	{ 0x6d6ff01b, "nf_ct_expect_init" },
	{ 0x87a5c1d8, "nf_ct_expect_put" },
	{ 0x645cb467, "nf_ct_expect_related_report" },
	{ 0x458ae051, "__nf_ct_expect_find" },
	{ 0xdcb764ad, "memset" },
	{ 0x21520d57, "nf_ipv6_ops" },
	{ 0x634711bf, "dst_release" },
	{ 0x70ebc394, "nf_ip_route" },
	{ 0xad4ab56f, "nf_ct_unexpect_related" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0x7dbe8b01, "param_ops_ushort" },
	{ 0xea4481d3, "param_ops_int" },
	{ 0x1fdf466, "param_ops_uint" },
	{ 0x3ef57c0b, "param_array_ops" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "AD455FB6BE9E047D00AD0A3");
MODULE_INFO(rhelversion, "9.7");
