#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x7ab07aaf, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0xffed99ba, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0xc9b1db8a, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x33182f64, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0xbd61c238, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0xda671958, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x92784e0d, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x67a69616, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0xa4b6a7ab, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x453a357d, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x8f4e9016, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x036d55e1, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x1f08720f, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x52c5a622, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0xc2d5471d, "");
SYMBOL_CRC(nf_nat_follow_master, 0x1d5709ba, "");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0xb62f3155, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0xc1b2ead9, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0xd01ec1e1, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0xfbf69050, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa58a76ad, "nf_ct_ext_add" },
	{ 0x7fab5f93, "__do_once_done" },
	{ 0xaaf17d5c, "nf_conntrack_find_get" },
	{ 0x45be5d25, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x112e6808, "nf_ip6_checksum" },
	{ 0xeafeaaec, "nf_hook_entries_insert_raw" },
	{ 0x3c4b84f, "nf_ct_seqadj_set" },
	{ 0x6fc0816f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe7b13791, "nf_ct_helper_expectfn_unregister" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0x4df34c83, "__nf_ct_ext_find" },
	{ 0xb195253d, "nf_ct_helper_expectfn_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xa10ac3e6, "pskb_expand_head" },
	{ 0x4ed6978f, "register_pernet_subsys" },
	{ 0xf91ed6bd, "nf_conntrack_tuple_taken" },
	{ 0x92997ed8, "_printk" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xc66caab9, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdae8c2fd, "ipv6_skip_exthdr" },
	{ 0xe44da85b, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x21520d57, "nf_ipv6_ops" },
	{ 0x642747d4, "module_put" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x762bc2ad, "nf_conntrack_alter_reply" },
	{ 0x7d32879c, "ip_route_me_harder" },
	{ 0x7e594367, "mutex_lock" },
	{ 0x6cc6a211, "nf_hook_entries_delete_raw" },
	{ 0xda0bf1d8, "skb_ensure_writable" },
	{ 0x2ea58f98, "nf_unregister_net_hooks" },
	{ 0xc7b030f6, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0xb0599ae0, "unregister_pernet_subsys" },
	{ 0x5e1a657e, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x7980e8e6, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x2f9b0014, "nf_ip_checksum" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0x50b61a40, "register_btf_kfunc_id_set" },
	{ 0x98244403, "nf_ct_iterate_destroy" },
	{ 0x844a65d1, "inet_proto_csum_replace16" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x274c8c5f, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xcf664a62, "rt_read_lock" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7698a881, "__skb_checksum" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0xb7a2770, "inet_proto_csum_replace4" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3207e11e, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x634711bf, "dst_release" },
	{ 0xc95bee66, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd4ed2ffc, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x8b8394c3, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x55623917, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "22D68F48D1955235F633073");
MODULE_INFO(rhelversion, "9.7");
