#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0xac3f18a6, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x8a1857bb, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x9cf2e96b, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf186fa1e, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc8e4e9ae, "sock_queue_rcv_skb_reason" },
	{ 0x2d46ecff, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x10a8f72d, "bpf_trace_run4" },
	{ 0x31d58dce, "skb_copy_bits" },
	{ 0xb23db49, "radix_tree_insert" },
	{ 0x6fc0816f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x365bef0, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x575954e, "trace_raw_output_prep" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0x806fe5fb, "radix_tree_lookup" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0x204f216b, "trace_event_printf" },
	{ 0x3033c7b4, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x189629fd, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x72e87b19, "event_triggers_call" },
	{ 0xb16c72df, "__wake_up" },
	{ 0x7aac2218, "__module_get" },
	{ 0xb6dc77e0, "kernel_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xdbc247f9, "__pskb_copy_fclone" },
	{ 0x779fa2dc, "sk_error_report" },
	{ 0xaf2d7de4, "skb_queue_purge_reason" },
	{ 0xa7f3dfc7, "radix_tree_iter_delete" },
	{ 0x4d5a75dc, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0x5577f791, "proto_unregister" },
	{ 0xa345ca99, "sock_register" },
	{ 0x2534eda2, "datagram_poll" },
	{ 0x26545f1b, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x80eee501, "trace_event_ignore_this_pid" },
	{ 0xc382aa18, "__alloc_skb" },
	{ 0x459d85a6, "rt_write_unlock" },
	{ 0xa7a8566f, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x642747d4, "module_put" },
	{ 0xf06f8590, "__xa_alloc" },
	{ 0x7f9062b2, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x5041970a, "perf_trace_run_bpf_submit" },
	{ 0x4ac0a74, "__traceiter_sk_data_ready" },
	{ 0x5a1148a6, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa5eb9e3d, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe37f81b8, "sk_skb_reason_drop" },
	{ 0x314220de, "xa_load" },
	{ 0x6f9368ac, "kernel_getsockname" },
	{ 0x7291ce9e, "do_wait_intr_irq" },
	{ 0x69c2f675, "sk_free" },
	{ 0xac7b4e83, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7e594367, "mutex_lock" },
	{ 0xe16ee711, "skb_push" },
	{ 0x44312026, "sock_no_listen" },
	{ 0xb686408b, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x3b82b705, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x416b4720, "skb_copy_datagram_iter" },
	{ 0x9b680b38, "sk_alloc" },
	{ 0x894219c5, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xb4c855a, "sock_no_mmap" },
	{ 0xf639d606, "__init_waitqueue_head" },
	{ 0x36c0c1cf, "sock_no_sendpage" },
	{ 0xc3df2945, "__netdev_alloc_skb" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0x4b0c4147, "__xa_insert" },
	{ 0x1efc4220, "xa_erase" },
	{ 0x745e43c2, "bpf_trace_run3" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc7ed4c6f, "skb_set_owner_w" },
	{ 0x17f9c662, "trace_event_buffer_reserve" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0x7f7aa1de, "sock_create_kern" },
	{ 0x2f9f6cf2, "xa_find" },
	{ 0xdee29a4c, "skb_recv_datagram" },
	{ 0x8d7b002d, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x753f325a, "xa_store" },
	{ 0x493fe4e7, "rt_write_lock" },
	{ 0xff263bbe, "_copy_from_iter" },
	{ 0x8429a108, "sock_release" },
	{ 0x7e751034, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x2937f5a2, "xa_find_after" },
	{ 0x8b8394c3, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a5a3932, "iov_iter_revert" },
	{ 0xce8dc78c, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xbd03e17e, "__mutex_rt_init" },
	{ 0x3edfe2a, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0x55623917, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x73245249, "release_sock" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CAAD44A10994D30D5FD142");
MODULE_INFO(rhelversion, "9.7");
