#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_timer_instance_new, "", "");
KSYMTAB_FUNC(snd_timer_instance_free, "", "");
KSYMTAB_FUNC(snd_timer_open, "", "");
KSYMTAB_FUNC(snd_timer_close, "", "");
KSYMTAB_FUNC(snd_timer_resolution, "", "");
KSYMTAB_FUNC(snd_timer_start, "", "");
KSYMTAB_FUNC(snd_timer_stop, "", "");
KSYMTAB_FUNC(snd_timer_continue, "", "");
KSYMTAB_FUNC(snd_timer_pause, "", "");
KSYMTAB_FUNC(snd_timer_interrupt, "", "");
KSYMTAB_FUNC(snd_timer_new, "", "");
KSYMTAB_FUNC(snd_timer_notify, "", "");
KSYMTAB_FUNC(snd_timer_global_new, "", "");
KSYMTAB_FUNC(snd_timer_global_free, "", "");
KSYMTAB_FUNC(snd_timer_global_register, "", "");

SYMBOL_CRC(snd_timer_instance_new, 0x71122c5d, "");
SYMBOL_CRC(snd_timer_instance_free, 0xd685ddbb, "");
SYMBOL_CRC(snd_timer_open, 0x6110b163, "");
SYMBOL_CRC(snd_timer_close, 0xf813de76, "");
SYMBOL_CRC(snd_timer_resolution, 0xc28d2fd6, "");
SYMBOL_CRC(snd_timer_start, 0xdf9a15bf, "");
SYMBOL_CRC(snd_timer_stop, 0xe40d407e, "");
SYMBOL_CRC(snd_timer_continue, 0xc70e3910, "");
SYMBOL_CRC(snd_timer_pause, 0x80b4ff21, "");
SYMBOL_CRC(snd_timer_interrupt, 0x06c129c5, "");
SYMBOL_CRC(snd_timer_new, 0x3ff3dd1d, "");
SYMBOL_CRC(snd_timer_notify, 0xee5cf4a4, "");
SYMBOL_CRC(snd_timer_global_new, 0xdcd05e25, "");
SYMBOL_CRC(snd_timer_global_free, 0xf57a72cc, "");
SYMBOL_CRC(snd_timer_global_register, 0xa3e85afa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a8cf3dc, "ida_alloc_range" },
	{ 0x45be5d25, "try_module_get" },
	{ 0x6150d61e, "snd_info_register" },
	{ 0xef4aef4a, "snd_info_create_module_entry" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x4fb5f205, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0x5d95be64, "snd_info_free_entry" },
	{ 0x37a0cba, "kfree" },
	{ 0x89ddbf74, "add_wait_queue" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xa8bbef7, "snd_fasync_helper" },
	{ 0xb16c72df, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x56521a49, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8082fd7a, "anon_inode_getfd" },
	{ 0x26545f1b, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x4ddf0bf9, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x642747d4, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xaa863b36, "noop_llseek" },
	{ 0x7e594367, "mutex_lock" },
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0x143ec08b, "ida_free" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0x2245de70, "snd_unregister_device" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbccfcf19, "snd_device_alloc" },
	{ 0xbafc1c55, "snd_device_new" },
	{ 0xdcb764ad, "memset" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf639d606, "__init_waitqueue_head" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa337a4f6, "seq_printf" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xdbe1d036, "remove_wait_queue" },
	{ 0x59e43ab1, "stream_open" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0x8b8394c3, "kmalloc_trace" },
	{ 0xea4481d3, "param_ops_int" },
	{ 0x467d5e1a, "snd_register_device" },
	{ 0xbd03e17e, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x55623917, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "snd");


MODULE_INFO(srcversion, "7938A1D8E7AED4DCD18DB46");
MODULE_INFO(rhelversion, "9.7");
