#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(k3_udma_glue_request_tx_chn, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_request_tx_chn_for_thread_id, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_release_tx_chn, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_push_tx_chn, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_pop_tx_chn, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_enable_tx_chn, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_disable_tx_chn, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_tdown_tx_chn, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_reset_tx_chn, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_tx_get_hdesc_size, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_tx_get_txcq_id, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_tx_get_irq, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_tx_get_dma_device, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_tx_dma_to_cppi5_addr, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_tx_cppi5_to_dma_addr, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_request_remote_rx_chn_for_thread_id, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_request_rx_chn, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_release_rx_chn, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_rx_flow_init, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_rx_flow_get_fdq_id, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_rx_get_flow_id_base, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_rx_flow_enable, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_rx_flow_disable, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_enable_rx_chn, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_disable_rx_chn, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_tdown_rx_chn, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_reset_rx_chn, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_push_rx_chn, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_pop_rx_chn, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_rx_get_irq, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_rx_get_dma_device, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_rx_dma_to_cppi5_addr, "_gpl", "");
KSYMTAB_FUNC(k3_udma_glue_rx_cppi5_to_dma_addr, "_gpl", "");

SYMBOL_CRC(k3_udma_glue_request_tx_chn, 0x72a92330, "_gpl");
SYMBOL_CRC(k3_udma_glue_request_tx_chn_for_thread_id, 0xf7109d33, "_gpl");
SYMBOL_CRC(k3_udma_glue_release_tx_chn, 0x8bf5f379, "_gpl");
SYMBOL_CRC(k3_udma_glue_push_tx_chn, 0x18715353, "_gpl");
SYMBOL_CRC(k3_udma_glue_pop_tx_chn, 0x5169344d, "_gpl");
SYMBOL_CRC(k3_udma_glue_enable_tx_chn, 0xe9d63a0d, "_gpl");
SYMBOL_CRC(k3_udma_glue_disable_tx_chn, 0xfd195774, "_gpl");
SYMBOL_CRC(k3_udma_glue_tdown_tx_chn, 0x4d83c710, "_gpl");
SYMBOL_CRC(k3_udma_glue_reset_tx_chn, 0xc1dce028, "_gpl");
SYMBOL_CRC(k3_udma_glue_tx_get_hdesc_size, 0xdc139c13, "_gpl");
SYMBOL_CRC(k3_udma_glue_tx_get_txcq_id, 0x0b690f04, "_gpl");
SYMBOL_CRC(k3_udma_glue_tx_get_irq, 0xe5516728, "_gpl");
SYMBOL_CRC(k3_udma_glue_tx_get_dma_device, 0xc1ddc84b, "_gpl");
SYMBOL_CRC(k3_udma_glue_tx_dma_to_cppi5_addr, 0xcda2aaba, "_gpl");
SYMBOL_CRC(k3_udma_glue_tx_cppi5_to_dma_addr, 0x3775c25b, "_gpl");
SYMBOL_CRC(k3_udma_glue_request_remote_rx_chn_for_thread_id, 0xa6d7997b, "_gpl");
SYMBOL_CRC(k3_udma_glue_request_rx_chn, 0xb9f3234b, "_gpl");
SYMBOL_CRC(k3_udma_glue_release_rx_chn, 0x7ad2c64c, "_gpl");
SYMBOL_CRC(k3_udma_glue_rx_flow_init, 0xaf2fc8ac, "_gpl");
SYMBOL_CRC(k3_udma_glue_rx_flow_get_fdq_id, 0x30351294, "_gpl");
SYMBOL_CRC(k3_udma_glue_rx_get_flow_id_base, 0xc0a3d155, "_gpl");
SYMBOL_CRC(k3_udma_glue_rx_flow_enable, 0x6e4aa78d, "_gpl");
SYMBOL_CRC(k3_udma_glue_rx_flow_disable, 0x8cb5a38e, "_gpl");
SYMBOL_CRC(k3_udma_glue_enable_rx_chn, 0x18f10f38, "_gpl");
SYMBOL_CRC(k3_udma_glue_disable_rx_chn, 0x0c3e6241, "_gpl");
SYMBOL_CRC(k3_udma_glue_tdown_rx_chn, 0x29d76547, "_gpl");
SYMBOL_CRC(k3_udma_glue_reset_rx_chn, 0xbe5e3414, "_gpl");
SYMBOL_CRC(k3_udma_glue_push_rx_chn, 0x74a22bb4, "_gpl");
SYMBOL_CRC(k3_udma_glue_pop_rx_chn, 0xc87dd725, "_gpl");
SYMBOL_CRC(k3_udma_glue_rx_get_irq, 0xd90a93a7, "_gpl");
SYMBOL_CRC(k3_udma_glue_rx_get_dma_device, 0xe4e2c0de, "_gpl");
SYMBOL_CRC(k3_udma_glue_rx_dma_to_cppi5_addr, 0xe90c7659, "_gpl");
SYMBOL_CRC(k3_udma_glue_rx_cppi5_to_dma_addr, 0x13db1eb8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3b0f23d2, "xudma_is_pktdma" },
	{ 0x357457c3, "psil_get_ep_config" },
	{ 0x23918d20, "_dev_err" },
	{ 0x6e1454d1, "of_property_match_string" },
	{ 0x60e596cb, "__of_parse_phandle_with_args" },
	{ 0x4d7dbb25, "of_xudma_dev_get" },
	{ 0x66826f5a, "xudma_get_ringacc" },
	{ 0x711edc8, "xudma_dev_get_tisci_rm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaa75286e, "xudma_get_device" },
	{ 0x8220a38e, "k3_ringacc_get_ring_id" },
	{ 0x6c46cd3b, "__dynamic_dev_dbg" },
	{ 0x1b5196fc, "xudma_tchan_put" },
	{ 0x676c688f, "k3_ringacc_ring_free" },
	{ 0x19e4e6e2, "device_unregister" },
	{ 0xae33c403, "xudma_navss_psil_unpair" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5de412cd, "k3_ringacc_ring_push" },
	{ 0xd5807af3, "k3_ringacc_ring_pop" },
	{ 0xc89846c4, "xudma_tchanrt_read" },
	{ 0x5402da9f, "xudma_navss_psil_pair" },
	{ 0xd828f063, "xudma_tchanrt_write" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x88cd7a9a, "k3_ringacc_ring_get_occ" },
	{ 0xcd759b82, "k3_ringacc_ring_reset" },
	{ 0x664eb54a, "k3_ringacc_ring_reset_dma" },
	{ 0x9b6c724e, "xudma_pktdma_tflow_get_irq" },
	{ 0x758a43fe, "k3_ringacc_get_ring_irq_num" },
	{ 0x12de2ea, "xudma_rchanrt_read" },
	{ 0xad682b8f, "xudma_rchanrt_write" },
	{ 0x9eb187fa, "xudma_pktdma_rflow_get_irq" },
	{ 0xf5f161b8, "class_register" },
	{ 0x582606eb, "xudma_rflow_put" },
	{ 0xca62afaf, "xudma_rflow_is_gp" },
	{ 0x9f9b261, "xudma_rchan_put" },
	{ 0x224ce651, "xudma_free_gp_rflow_range" },
	{ 0x2e5b27da, "xudma_alloc_gp_rflow_range" },
	{ 0x8dcc2711, "devm_kmalloc" },
	{ 0x4fb5f205, "dev_set_name" },
	{ 0x10884677, "device_register" },
	{ 0x10271dbe, "dma_set_mask" },
	{ 0x5bfe0cfd, "dma_set_coherent_mask" },
	{ 0x4ddf0bf9, "put_device" },
	{ 0x2aabaf9d, "xudma_tchan_get" },
	{ 0xda10443c, "xudma_tchan_get_id" },
	{ 0x2fac3c71, "k3_ringacc_request_rings_pair" },
	{ 0xa4bbcc8a, "k3_ringacc_ring_cfg" },
	{ 0x851b9121, "xudma_dev_get_psil_base" },
	{ 0xe90253f0, "xudma_rflow_get" },
	{ 0x1cf5efa6, "xudma_rflow_get_id" },
	{ 0x120ff8e1, "xudma_get_rflow_ring_offset" },
	{ 0x17825d3f, "xudma_rchan_get" },
	{ 0x3dd3f054, "xudma_rchan_get_id" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "k3-udma,k3-psil-lib");


MODULE_INFO(srcversion, "B210C992FB723E9921E95AD");
MODULE_INFO(rhelversion, "9.7");
