#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(devm_drm_of_get_bridge, "", "");
KSYMTAB_FUNC(drmm_of_get_bridge, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0x4d4d6e78, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0x827c1770, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0xea38eb85, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x0132ee61, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x12521958, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x8580f92e, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0xbe6daebe, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x95abf8de, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x38e55e85, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0xcdc7a00a, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x9fd79209, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x0325b815, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x659ea00b, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0xd29bfbf0, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x0c3c9f2d, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0xd40c81a4, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0xc76b6d96, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x2a527a21, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x3b247fb7, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0x2b92d6ca, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x2c597303, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x48527e4d, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0xc6371467, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x07ae3f27, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0xbc12b91d, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x35911d6a, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x0983e76c, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x1cecd407, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0xe8a3661e, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x0bba3222, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x4e5b4aa5, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x6cf32156, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x9993a36b, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x50b1418d, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x91f7bc00, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x0b274d5a, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x273973f3, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0xf3be31dd, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x7aeced2b, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x60f5751d, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x2c74d8b4, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x6418e91f, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x2eb393e3, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xaf3c52fb, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x00ed31aa, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0xe3fb6ed8, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0xd23c23de, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0xe05e5874, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0xca1c98af, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x58b59a63, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x83b1d5fa, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x9406405e, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x32274541, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x58d28c4f, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x70a1ac36, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x0b667197, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x0d12dc4c, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x57e4a5c3, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x3ee36478, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x9b340814, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0xb4d61de6, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x28286249, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0xd6a05ceb, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x296f1a3a, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x03b61199, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x8032b6c6, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x3eb5e4a8, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0xcd3bcae1, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x164c0e98, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x42a52589, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0xa510511b, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0xb14a3d4c, "");
SYMBOL_CRC(drm_helper_encoder_in_use, 0x04d91f6f, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x496c2a31, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0xe80420ca, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0xfac149b1, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x2e3904e2, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x1f83f6ca, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x60904cfc, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x5a55af97, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0xe0b4e58d, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0xde194a22, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0xb4ea7f34, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x7a2e3798, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0xc8abf175, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0xf0f7e2bd, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x5dcac4fc, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x9cb13506, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0x0565a99b, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0x4683c3b6, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0xa05c30c7, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x9f83a6fe, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x4e962a82, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x5b61b196, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0xe02197b9, "");
SYMBOL_CRC(drm_flip_work_queue, 0xad2a4811, "");
SYMBOL_CRC(drm_flip_work_commit, 0xda346bf8, "");
SYMBOL_CRC(drm_flip_work_init, 0xe1d17718, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x321a7268, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0xaf086471, "");
SYMBOL_CRC(drm_fb_swab, 0xecfd4ddc, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x391266f0, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x77a03a88, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x0316f740, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x734d542d, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x8460d5c9, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0xbdcfb2bc, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xc08432d7, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0xf8408c46, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0xc1dcb313, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x3514a10e, "");
SYMBOL_CRC(drm_fb_blit, 0x6164ff4c, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x3f11a392, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x0cd55046, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0xd1b1f6be, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x42e371d6, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x7f1825b9, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0xd0469071, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x48600ff1, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0xc86628d9, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x1deaf1c9, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x2057f48b, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x8e1481b9, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x4129a5c2, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x68516e64, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x4bcde20d, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0x59d61ae9, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0xbc756e3c, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x719d1316, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x3629ebe3, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0xbb7f51b8, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0xfc0c2edd, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0xf020ef9e, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x4b15eb6c, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x25778c45, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x68d0f2c3, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x7061ffa0, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x964d4873, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x42770c3e, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x43e4c789, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x195dc058, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x3926c6cf, "");
SYMBOL_CRC(drm_crtc_init, 0xde040459, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0xf2b20138, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x7deba92e, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x785d074d, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x11540805, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x63fad459, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0xd1061cc1, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x65b51b7e, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x3fcfb51b, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x2fa6a962, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0xadf958d5, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0xae32234c, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x3c444515, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0xe98c0d4d, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0xbc56fd47, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0x746d5004, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0xac2a1a44, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0xc5c3d9fc, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0xebf9b211, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0xfcc03deb, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x7678d896, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x04a4dd74, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0x29fd9124, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x5b1c3c96, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0xef028d62, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0xf30085b8, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0xf2d9de9d, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x0955757d, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x1f699c67, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0x4991966a, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x0ceae38f, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xb64a7f00, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x5b01277d, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x6b117310, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0xc7e4de72, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0x330e2727, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x21b61cfc, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xc5ea607d, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x2e422747, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0xe8c8048e, "");
SYMBOL_CRC(devm_drm_of_get_bridge, 0xc78270b2, "");
SYMBOL_CRC(drmm_of_get_bridge, 0xbf4382e2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x246f39d9, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x6b6f047d, "drm_framebuffer_cleanup" },
	{ 0xceb8d4e6, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x9c0e7b90, "drm_panel_get_modes" },
	{ 0xab81b68f, "drm_gem_vmap_unlocked" },
	{ 0x45be5d25, "try_module_get" },
	{ 0x94f46691, "drm_connector_list_update" },
	{ 0x59bf5b4b, "drm_bridge_add" },
	{ 0xc65ac9d7, "drm_bridge_chain_mode_valid" },
	{ 0x6c243dbe, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8dcc2711, "devm_kmalloc" },
	{ 0x2d161efb, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x751fbcdb, "drm_framebuffer_init" },
	{ 0xfef5b405, "drm_mode_validate_driver" },
	{ 0x93b34e81, "drm_atomic_add_affected_planes" },
	{ 0xd1448feb, "dma_buf_end_cpu_access" },
	{ 0x51a63588, "drm_modeset_unlock_all" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7e00060e, "drm_mode_probed_add" },
	{ 0x35b506c0, "drm_atomic_add_affected_connectors" },
	{ 0x2d50570f, "drm_rect_calc_hscale" },
	{ 0x4570704f, "drm_gem_vunmap_unlocked" },
	{ 0x61a1f130, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0x288bdf32, "finish_wait" },
	{ 0x262e2536, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0xe17b5524, "drm_atomic_bridge_chain_enable" },
	{ 0x99fd20aa, "drm_rect_clip_scaled" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x185db8e1, "drm_mode_object_get" },
	{ 0xd75b0178, "drm_edid_override_connector_update" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xa76b14cd, "drm_crtc_cleanup" },
	{ 0x4eb66e63, "drm_connector_list_iter_begin" },
	{ 0xb81f9b42, "drm_mode_set_config_internal" },
	{ 0x33bf7387, "prepare_to_wait_event" },
	{ 0x3229cc53, "drm_encoder_cleanup" },
	{ 0xdee3a7d8, "drm_modeset_acquire_init" },
	{ 0xea8e11b5, "dma_fence_set_deadline" },
	{ 0x18e7dc90, "drm_warn_on_modeset_not_all_locked" },
	{ 0xd91bd284, "drm_plane_get_damage_clips" },
	{ 0x17f1d409, "devres_add" },
	{ 0x37609152, "dma_fence_wait_timeout" },
	{ 0xa4c764fb, "drm_add_modes_noedid" },
	{ 0xde7dc266, "drm_bridge_remove" },
	{ 0x2e760eeb, "drm_mode_object_put" },
	{ 0xd457202e, "dev_driver_string" },
	{ 0x87942580, "drm_crtc_vblank_get" },
	{ 0x3799c650, "drm_gem_object_lookup" },
	{ 0x17e8823e, "drm_crtc_send_vblank_event" },
	{ 0xcc24731c, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x2eeef4f1, "drm_atomic_normalize_zpos" },
	{ 0xaf14f407, "drm_edid_connector_update" },
	{ 0xa3006015, "drm_sysfs_hotplug_event" },
	{ 0xb053adda, "drm_rect_rotate" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdb1cc4db, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x35daf19e, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xe0c96365, "drm_connector_list_iter_end" },
	{ 0xd65a4c0c, "drm_atomic_set_crtc_for_plane" },
	{ 0x9f959d7, "drm_mode_prune_invalid" },
	{ 0xe525e8c4, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x381ff94e, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x642747d4, "module_put" },
	{ 0xe9e87746, "dma_buf_begin_cpu_access" },
	{ 0x1680647d, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x3e86ef3b, "drm_crtc_next_vblank_start" },
	{ 0x1ac27dda, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0xcb95e83c, "drm_modeset_lock" },
	{ 0xfb6fd9ab, "drm_modeset_unlock" },
	{ 0x88ea2424, "drm_panel_disable" },
	{ 0x5c412926, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7918d99c, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3789f0ee, "devm_kfree" },
	{ 0x23918d20, "_dev_err" },
	{ 0x7480b6e6, "drm_writeback_cleanup_job" },
	{ 0x1fa417b5, "drm_modeset_lock_all_ctx" },
	{ 0x4b7cbfe2, "i2c_unregister_device" },
	{ 0x1ee41792, "drm_atomic_set_fb_for_plane" },
	{ 0xa27afc61, "__drm_universal_plane_alloc" },
	{ 0xf9c218d0, "drm_edid_connector_add_modes" },
	{ 0x2edefaa7, "drm_probe_ddc" },
	{ 0x7e594367, "mutex_lock" },
	{ 0x83f40c6, "__devres_alloc_node" },
	{ 0xd7108cc0, "drm_edid_read" },
	{ 0xea225e86, "drm_crtc_commit_wait" },
	{ 0x5d170f81, "drm_dev_has_vblank" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x455604c3, "__drm_atomic_helper_disable_plane" },
	{ 0xb8e6e839, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xedb7bda, "drm_gem_handle_create" },
	{ 0xdb9ee154, "drm_atomic_set_crtc_for_connector" },
	{ 0x6e30ba8e, "drm_rect_rotate_inv" },
	{ 0xf7561114, "drm_analog_tv_mode" },
	{ 0x754171ca, "drm_crtc_init_with_planes" },
	{ 0xaa2b3cf4, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x6d801c13, "drm_crtc_vblank_put" },
	{ 0xa0a968dd, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xb7f813c9, "__drm_dev_dbg" },
	{ 0xb48ba6b5, "drm_plane_get_damage_clips_count" },
	{ 0xcd75abee, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x1f0a47f8, "drm_atomic_state_alloc" },
	{ 0xdcb764ad, "memset" },
	{ 0x53398f10, "_dev_warn" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0x22122d79, "drm_atomic_bridge_chain_post_disable" },
	{ 0x20bb4aaa, "drm_connector_update_edid_property" },
	{ 0xcb2340b8, "drm_rect_debug_print" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2e3d91cb, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x110cad79, "__drm_atomic_helper_set_config" },
	{ 0xd2a12a6b, "mutex_trylock" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0x35ca8e74, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x4c8af749, "drm_connector_cleanup" },
	{ 0xcf4b8b06, "drm_get_format_info" },
	{ 0xc9fed3b8, "drm_universal_plane_init" },
	{ 0x11bdc08f, "drm_any_plane_has_format" },
	{ 0x5ef0b142, "drm_connector_list_iter_next" },
	{ 0x1e4d39b4, "drm_modeset_acquire_fini" },
	{ 0xff761df, "drm_encoder_init" },
	{ 0x2b2297e3, "drm_object_property_get_default_value" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x758f1246, "param_ops_bool" },
	{ 0xaa4c44f7, "drm_of_find_panel_or_bridge" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x9f014d5, "drm_modeset_backoff" },
	{ 0x2a007444, "drm_panel_prepare" },
	{ 0x868301cd, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x64c51914, "drm_atomic_get_plane_state" },
	{ 0x60af96cc, "drm_atomic_bridge_chain_check" },
	{ 0x91179e7c, "dma_fence_chain_init" },
	{ 0xea3f02be, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x4abc29f5, "drm_property_blob_put" },
	{ 0xe1562b27, "drm_mode_destroy" },
	{ 0x6fdc9bd5, "drm_bridge_attach" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3a31bf97, "drm_set_preferred_mode" },
	{ 0x1a0db2ea, "drm_atomic_bridge_chain_pre_enable" },
	{ 0xbaf264c1, "drm_atomic_state_clear" },
	{ 0xc12e2182, "drm_mode_config_reset" },
	{ 0x6523c888, "drm_property_create_blob" },
	{ 0x8b8394c3, "kmalloc_trace" },
	{ 0xa5e3a8e1, "drm_modeset_drop_locks" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x79002b3, "drm_atomic_bridge_chain_disable" },
	{ 0x84255930, "drm_mode_create_from_cmdline_mode" },
	{ 0xb6a6c9e, "drm_mode_validate_ycbcr420" },
	{ 0xc3ff538a, "drm_atomic_nonblocking_commit" },
	{ 0xceaa7ab5, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x91fec1cc, "drm_rect_calc_vscale" },
	{ 0x69765fd5, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xbd03e17e, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0xa8f891d0, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x55623917, "kmalloc_caches" },
	{ 0x1f88517, "drm_atomic_add_encoder_bridges" },
	{ 0xe0dd3580, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x204e23e9, "drm_sysfs_connector_hotplug_event" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "B95B97AF257F184C170F270");
MODULE_INFO(rhelversion, "9.7");
