#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(host1x_device_init, "", "");
KSYMTAB_FUNC(host1x_device_exit, "", "");
KSYMTAB_FUNC(host1x_driver_register_full, "", "");
KSYMTAB_FUNC(host1x_driver_unregister, "", "");
KSYMTAB_FUNC(__host1x_client_init, "", "");
KSYMTAB_FUNC(host1x_client_exit, "", "");
KSYMTAB_FUNC(__host1x_client_register, "", "");
KSYMTAB_FUNC(host1x_client_unregister, "", "");
KSYMTAB_FUNC(host1x_client_suspend, "", "");
KSYMTAB_FUNC(host1x_client_resume, "", "");
KSYMTAB_FUNC(host1x_bo_pin, "", "");
KSYMTAB_FUNC(host1x_bo_unpin, "", "");
KSYMTAB_FUNC(host1x_syncpt_alloc, "", "");
KSYMTAB_FUNC(host1x_syncpt_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_incr_max, "", "");
KSYMTAB_FUNC(host1x_syncpt_incr, "", "");
KSYMTAB_FUNC(host1x_syncpt_wait, "", "");
KSYMTAB_FUNC(host1x_syncpt_request, "", "");
KSYMTAB_FUNC(host1x_syncpt_put, "", "");
KSYMTAB_FUNC(host1x_syncpt_read_max, "", "");
KSYMTAB_FUNC(host1x_syncpt_read_min, "", "");
KSYMTAB_FUNC(host1x_syncpt_read, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_by_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_by_id_noref, "", "");
KSYMTAB_FUNC(host1x_syncpt_get, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_base, "", "");
KSYMTAB_FUNC(host1x_syncpt_base_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_release_vblank_reservation, "", "");
KSYMTAB_FUNC(host1x_get_dma_mask, "", "");
KSYMTAB_FUNC(host1x_job_submit, "", "");
KSYMTAB_FUNC(host1x_channel_get, "", "");
KSYMTAB_FUNC(host1x_channel_stop, "", "");
KSYMTAB_FUNC(host1x_channel_put, "", "");
KSYMTAB_FUNC(host1x_channel_request, "", "");
KSYMTAB_FUNC(host1x_job_alloc, "", "");
KSYMTAB_FUNC(host1x_job_get, "", "");
KSYMTAB_FUNC(host1x_job_put, "", "");
KSYMTAB_FUNC(host1x_job_add_gather, "", "");
KSYMTAB_FUNC(host1x_job_add_wait, "", "");
KSYMTAB_FUNC(host1x_job_pin, "", "");
KSYMTAB_FUNC(host1x_job_unpin, "", "");
KSYMTAB_FUNC(tegra_mipi_request, "", "");
KSYMTAB_FUNC(tegra_mipi_free, "", "");
KSYMTAB_FUNC(tegra_mipi_enable, "", "");
KSYMTAB_FUNC(tegra_mipi_disable, "", "");
KSYMTAB_FUNC(tegra_mipi_finish_calibration, "", "");
KSYMTAB_FUNC(tegra_mipi_start_calibration, "", "");
KSYMTAB_FUNC(host1x_fence_create, "", "");
KSYMTAB_FUNC(host1x_fence_cancel, "", "");
KSYMTAB_FUNC(host1x_memory_context_alloc, "_gpl", "");
KSYMTAB_FUNC(host1x_memory_context_get, "_gpl", "");
KSYMTAB_FUNC(host1x_memory_context_put, "_gpl", "");

SYMBOL_CRC(host1x_device_init, 0x20076511, "");
SYMBOL_CRC(host1x_device_exit, 0xf57e89e9, "");
SYMBOL_CRC(host1x_driver_register_full, 0x61b5a16f, "");
SYMBOL_CRC(host1x_driver_unregister, 0x45aa8792, "");
SYMBOL_CRC(__host1x_client_init, 0x69d44967, "");
SYMBOL_CRC(host1x_client_exit, 0x70a9d6a8, "");
SYMBOL_CRC(__host1x_client_register, 0x647c0daa, "");
SYMBOL_CRC(host1x_client_unregister, 0x355b5764, "");
SYMBOL_CRC(host1x_client_suspend, 0x6d04e890, "");
SYMBOL_CRC(host1x_client_resume, 0xbc053ca8, "");
SYMBOL_CRC(host1x_bo_pin, 0xbc1895e8, "");
SYMBOL_CRC(host1x_bo_unpin, 0x1db25f2e, "");
SYMBOL_CRC(host1x_syncpt_alloc, 0x1fe06fff, "");
SYMBOL_CRC(host1x_syncpt_id, 0xd28ddce2, "");
SYMBOL_CRC(host1x_syncpt_incr_max, 0x76f45cf8, "");
SYMBOL_CRC(host1x_syncpt_incr, 0x788d5233, "");
SYMBOL_CRC(host1x_syncpt_wait, 0x616d84f9, "");
SYMBOL_CRC(host1x_syncpt_request, 0x9a3dfa07, "");
SYMBOL_CRC(host1x_syncpt_put, 0x9acdf569, "");
SYMBOL_CRC(host1x_syncpt_read_max, 0xf3a30682, "");
SYMBOL_CRC(host1x_syncpt_read_min, 0xb1eacd04, "");
SYMBOL_CRC(host1x_syncpt_read, 0xb2399a0c, "");
SYMBOL_CRC(host1x_syncpt_get_by_id, 0xac2c9276, "");
SYMBOL_CRC(host1x_syncpt_get_by_id_noref, 0x759be192, "");
SYMBOL_CRC(host1x_syncpt_get, 0x98323766, "");
SYMBOL_CRC(host1x_syncpt_get_base, 0x1b51c367, "");
SYMBOL_CRC(host1x_syncpt_base_id, 0x51de13ce, "");
SYMBOL_CRC(host1x_syncpt_release_vblank_reservation, 0x13f5b64b, "");
SYMBOL_CRC(host1x_get_dma_mask, 0xe33d4aa5, "");
SYMBOL_CRC(host1x_job_submit, 0x30ccdc8f, "");
SYMBOL_CRC(host1x_channel_get, 0xe92e92d4, "");
SYMBOL_CRC(host1x_channel_stop, 0xf4714e4a, "");
SYMBOL_CRC(host1x_channel_put, 0x4db712b1, "");
SYMBOL_CRC(host1x_channel_request, 0xd086e069, "");
SYMBOL_CRC(host1x_job_alloc, 0xfeb86119, "");
SYMBOL_CRC(host1x_job_get, 0x64fb3488, "");
SYMBOL_CRC(host1x_job_put, 0x0ab7e74e, "");
SYMBOL_CRC(host1x_job_add_gather, 0x5dc29e63, "");
SYMBOL_CRC(host1x_job_add_wait, 0xddbbca60, "");
SYMBOL_CRC(host1x_job_pin, 0xbac539cd, "");
SYMBOL_CRC(host1x_job_unpin, 0x1987a67a, "");
SYMBOL_CRC(tegra_mipi_request, 0xd6243a1d, "");
SYMBOL_CRC(tegra_mipi_free, 0x9451a33e, "");
SYMBOL_CRC(tegra_mipi_enable, 0xf8a79b19, "");
SYMBOL_CRC(tegra_mipi_disable, 0xa733ff60, "");
SYMBOL_CRC(tegra_mipi_finish_calibration, 0xbcbe65a0, "");
SYMBOL_CRC(tegra_mipi_start_calibration, 0x72e78e54, "");
SYMBOL_CRC(host1x_fence_create, 0x9e31e300, "");
SYMBOL_CRC(host1x_fence_cancel, 0x3daa7805, "");
SYMBOL_CRC(host1x_memory_context_alloc, 0x2caf18ef, "_gpl");
SYMBOL_CRC(host1x_memory_context_get, 0xef1832fe, "_gpl");
SYMBOL_CRC(host1x_memory_context_put, 0xc3b2530d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe5b678dc, "iommu_map_sg" },
	{ 0xc15b557e, "platform_device_put" },
	{ 0x47c9a3be, "dma_fence_signal_locked" },
	{ 0x9a132f21, "devm_platform_ioremap_resource" },
	{ 0x24488203, "devm_of_platform_populate" },
	{ 0x438d8df2, "iova_cache_get" },
	{ 0x828b8c6d, "devm_request_threaded_irq" },
	{ 0x8dcc2711, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0xf62ec682, "devm_platform_get_and_ioremap_resource" },
	{ 0x4fb5f205, "dev_set_name" },
	{ 0x7b764509, "of_find_device_by_node" },
	{ 0x3c03aa5d, "platform_get_irq" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x575954e, "trace_raw_output_prep" },
	{ 0x34772fe, "iommu_group_get" },
	{ 0x19e4e6e2, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0x204f216b, "trace_event_printf" },
	{ 0x2e63702a, "free_iova" },
	{ 0x55caf8ad, "pm_generic_thaw" },
	{ 0xc7061ef3, "iova_cache_put" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0xe2997e7f, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x189629fd, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7bc179f4, "pm_generic_poweroff" },
	{ 0x2d78efb1, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf6c9117d, "bpf_trace_run2" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x72e87b19, "event_triggers_call" },
	{ 0xe0293364, "dma_fence_add_callback" },
	{ 0x148653, "vsnprintf" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x6c46cd3b, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x181519d0, "devm_clk_get" },
	{ 0x37609152, "dma_fence_wait_timeout" },
	{ 0x960dc351, "__free_iova" },
	{ 0x4d5a75dc, "trace_event_buffer_commit" },
	{ 0xb84b26c2, "pm_generic_resume" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xcd5486ec, "__platform_register_drivers" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x49bd08aa, "iommu_detach_group" },
	{ 0xcf76202b, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x4ddf0bf9, "put_device" },
	{ 0x80eee501, "trace_event_ignore_this_pid" },
	{ 0xbf23646b, "pm_runtime_enable" },
	{ 0xb8b6be47, "alloc_iova" },
	{ 0xdf8be0f7, "devm_tegra_core_dev_init_opp_table" },
	{ 0x45619fd0, "platform_get_irq_byname_optional" },
	{ 0x28562840, "dma_fence_remove_callback" },
	{ 0xff1666f3, "reset_control_bulk_assert" },
	{ 0x783318d1, "pm_generic_suspend" },
	{ 0x2d2e7e0, "iommu_get_domain_for_dev" },
	{ 0x71d98799, "of_device_uevent" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xca4c36ed, "put_iova_domain" },
	{ 0x5041970a, "perf_trace_run_bpf_submit" },
	{ 0x9117b2e8, "bus_unregister" },
	{ 0x23918d20, "_dev_err" },
	{ 0xe700d767, "reset_control_bulk_deassert" },
	{ 0xd30f4f82, "iommu_domain_free" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x5500f03e, "device_add" },
	{ 0x60e596cb, "__of_parse_phandle_with_args" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x1eb1b4cb, "iommu_unmap" },
	{ 0x7cbe1604, "dma_fence_signal" },
	{ 0xea5d4f8, "bpf_trace_run5" },
	{ 0x7e594367, "mutex_lock" },
	{ 0xfdbd5039, "dma_alloc_attrs" },
	{ 0xaf5497b6, "debugfs_remove" },
	{ 0xb686408b, "trace_event_reg" },
	{ 0x207a6c6, "reset_control_bulk_acquire" },
	{ 0x3c73554c, "of_property_count_elems_of_size" },
	{ 0x8520f7eb, "driver_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xb5c024b4, "of_match_node" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xb7ae486, "of_device_is_available" },
	{ 0x3d6dfb49, "dma_fence_init" },
	{ 0x59c14626, "mutex_lock_interruptible" },
	{ 0x7be2c06f, "host1x_context_device_bus_type" },
	{ 0x2684a9c8, "bpf_trace_run1" },
	{ 0xb964c8fa, "device_del" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x53398f10, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd39f2beb, "pm_generic_freeze" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9f4fbce6, "debugfs_create_u32" },
	{ 0xbcad574d, "devm_platform_ioremap_resource_byname" },
	{ 0xf1af15f4, "iommu_paging_domain_alloc_flags" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0x5bfe0cfd, "dma_set_coherent_mask" },
	{ 0x745e43c2, "bpf_trace_run3" },
	{ 0x612783e8, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x8e8e7a5d, "dma_free_attrs" },
	{ 0x17f9c662, "trace_event_buffer_reserve" },
	{ 0x45de86fb, "__pm_runtime_resume" },
	{ 0x99a70f84, "init_iova_domain" },
	{ 0xed8acb62, "__devm_reset_control_bulk_get" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x350fa334, "pm_runtime_force_resume" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x28edbdea, "seq_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa337a4f6, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x4d303641, "debugfs_create_file_full" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf4cd9f8f, "reset_control_bulk_release" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xbe20b5f1, "iommu_map" },
	{ 0x4da14bf2, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x10271dbe, "dma_set_mask" },
	{ 0x8b8394c3, "kmalloc_trace" },
	{ 0xc619d4f4, "__pm_runtime_suspend" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x6f6d40c3, "iommu_attach_group" },
	{ 0x7be2b13e, "single_open" },
	{ 0x38bbd823, "of_device_get_match_data" },
	{ 0x678ff904, "pm_generic_restore" },
	{ 0x4cff7911, "__pm_runtime_disable" },
	{ 0xceaa7ab5, "debugfs_create_dir" },
	{ 0x3c5b012, "of_dma_configure_id" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x5a869235, "platform_unregister_drivers" },
	{ 0x5f972b8f, "pm_runtime_force_suspend" },
	{ 0x16e427ab, "driver_register" },
	{ 0xbd03e17e, "__mutex_rt_init" },
	{ 0x6c6ac0f0, "put_pid" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x599fb8ab, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x55623917, "kmalloc_caches" },
	{ 0x458e85d5, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd31ccb06, "of_machine_is_compatible" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cnvidia,tegra234-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-host1xC*");

MODULE_INFO(srcversion, "8CD5462CE85C09725138322");
MODULE_INFO(rhelversion, "9.7");
