#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tmc_free_sg_table, "_gpl", "");
KSYMTAB_FUNC(tmc_alloc_sg_table, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_sync_data_range, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_sync_table, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_get_data, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_get_catu_device, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_set_catu_ops, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_remove_catu_ops, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_get_buffer, "_gpl", "");

SYMBOL_CRC(tmc_free_sg_table, 0x1b67fea9, "_gpl");
SYMBOL_CRC(tmc_alloc_sg_table, 0x3352f7eb, "_gpl");
SYMBOL_CRC(tmc_sg_table_sync_data_range, 0xc29820c7, "_gpl");
SYMBOL_CRC(tmc_sg_table_sync_table, 0x3e0cb6a6, "_gpl");
SYMBOL_CRC(tmc_sg_table_get_data, 0x02cd4724, "_gpl");
SYMBOL_CRC(tmc_etr_get_catu_device, 0xebfb1e8d, "_gpl");
SYMBOL_CRC(tmc_etr_set_catu_ops, 0xf40173d0, "_gpl");
SYMBOL_CRC(tmc_etr_remove_catu_ops, 0x04a264a1, "_gpl");
SYMBOL_CRC(tmc_etr_get_buffer, 0xb3daa333, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe91ce1a1, "coresight_get_platform_data" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x85e6a451, "is_acpi_device_node" },
	{ 0x78a06144, "misc_deregister" },
	{ 0x8354ce02, "of_fwnode_ops" },
	{ 0x61cf1ab8, "idr_find" },
	{ 0x8dcc2711, "devm_kmalloc" },
	{ 0x505644dd, "coresight_disclaim_device_unlocked" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0xf8afc23d, "dma_unmap_page_attrs" },
	{ 0x6c08d04a, "dma_free_pages" },
	{ 0x32b6ba1b, "coresight_init_driver" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x486f2345, "coresight_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xc1793df0, "clk_get" },
	{ 0x6c46cd3b, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb90c3f9d, "__pm_runtime_set_status" },
	{ 0x29602315, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0x61702aa5, "coresight_find_output_type" },
	{ 0x86924a2e, "dma_alloc_pages" },
	{ 0x7b3b7f93, "coresight_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xbf23646b, "pm_runtime_enable" },
	{ 0x44c633d8, "kmalloc_node_trace" },
	{ 0x759a29b9, "__free_pages" },
	{ 0x4223bf9c, "fwnode_property_read_u32_array" },
	{ 0x85784807, "_dev_info" },
	{ 0x590b95e0, "coresight_claim_device" },
	{ 0x2d2e7e0, "iommu_get_domain_for_dev" },
	{ 0xc848e6dc, "idr_remove" },
	{ 0xa5dc45cc, "__dma_sync_single_for_cpu" },
	{ 0x23918d20, "_dev_err" },
	{ 0x2ddecdec, "idr_alloc" },
	{ 0x814605e1, "platform_get_resource" },
	{ 0x12559979, "coresight_simple_show_pair" },
	{ 0x7e594367, "mutex_lock" },
	{ 0x7f6c9095, "vmap" },
	{ 0xeca1a8e2, "coresight_timeout" },
	{ 0xdcb764ad, "memset" },
	{ 0x53398f10, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf8ec5dd4, "misc_register" },
	{ 0xdf2fa1ee, "__alloc_pages" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0xb19fd403, "nonseekable_open" },
	{ 0x5bfe0cfd, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x77d1fec7, "fwnode_property_present" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0xf33d66f7, "__dma_sync_single_for_device" },
	{ 0xc42c2a71, "devm_ioremap_resource" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb6c4ec06, "coresight_remove_driver" },
	{ 0x69ad64bd, "perf_get_aux" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x5b2f078b, "coresight_simple_show32" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x10271dbe, "dma_set_mask" },
	{ 0x8b8394c3, "kmalloc_trace" },
	{ 0xc7180815, "perf_aux_output_flag" },
	{ 0x6ff2e718, "coresight_alloc_device_name" },
	{ 0x4cff7911, "__pm_runtime_disable" },
	{ 0xecfb329f, "coresight_barrier_pkt" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb55e23e8, "fwnode_property_read_u8_array" },
	{ 0xbd03e17e, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x599fb8ab, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x55623917, "kmalloc_caches" },
	{ 0xa7bd4dc0, "coresight_disclaim_device" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "coresight");

MODULE_ALIAS("amba:d???BB961");
MODULE_ALIAS("amba:d???BB9E8");
MODULE_ALIAS("amba:d???BB9E9");
MODULE_ALIAS("amba:d???BB9EA");
MODULE_ALIAS("acpi*:ARMHC501:*");
MODULE_ALIAS("acpi*:ARMHC97C:*");

MODULE_INFO(srcversion, "997326819944B907A5D5235");
MODULE_INFO(rhelversion, "9.7");
