#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iommufd_device_bind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_has_group, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_unbind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_ictx, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_id, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_create, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_destroy, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_unpin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_pin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_rw, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_get, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_file, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_fd, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_put, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_get_id, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_set_no_iommu, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_create, "_gpl", "IOMMUFD_VFIO");

SYMBOL_CRC(iommufd_device_bind, 0x26ae99c5, "_gpl");
SYMBOL_CRC(iommufd_ctx_has_group, 0x8e2f3f24, "_gpl");
SYMBOL_CRC(iommufd_device_unbind, 0xe756c7b8, "_gpl");
SYMBOL_CRC(iommufd_device_to_ictx, 0x85fa1970, "_gpl");
SYMBOL_CRC(iommufd_device_to_id, 0x4b777219, "_gpl");
SYMBOL_CRC(iommufd_device_attach, 0xf64f80a3, "_gpl");
SYMBOL_CRC(iommufd_device_replace, 0xe7d04d72, "_gpl");
SYMBOL_CRC(iommufd_device_detach, 0xaa80c31a, "_gpl");
SYMBOL_CRC(iommufd_access_create, 0xfde60ff0, "_gpl");
SYMBOL_CRC(iommufd_access_destroy, 0x613d0768, "_gpl");
SYMBOL_CRC(iommufd_access_detach, 0x7975d6dd, "_gpl");
SYMBOL_CRC(iommufd_access_attach, 0x0b698a89, "_gpl");
SYMBOL_CRC(iommufd_access_replace, 0x70e524fd, "_gpl");
SYMBOL_CRC(iommufd_access_unpin_pages, 0xc6b0698e, "_gpl");
SYMBOL_CRC(iommufd_access_pin_pages, 0xcf879744, "_gpl");
SYMBOL_CRC(iommufd_access_rw, 0x33fcec77, "_gpl");
SYMBOL_CRC(iommufd_ctx_get, 0x7a2af687, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_file, 0x71c9193e, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_fd, 0x6f20dbb4, "_gpl");
SYMBOL_CRC(iommufd_ctx_put, 0x4bd296e8, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_get_id, 0xebb32383, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_set_no_iommu, 0x80d0a8b4, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_create, 0x340ec4c4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92833e36, "pin_user_pages_fast" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x16910de9, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6a230c4e, "__init_rwsem" },
	{ 0x78a06144, "misc_deregister" },
	{ 0xb76a97d, "iommu_device_claim_dma_owner" },
	{ 0x93ed3cc2, "iopf_free_group" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x34772fe, "iommu_group_get" },
	{ 0xd68a3d49, "iommu_iova_to_phys" },
	{ 0x78dd678a, "pin_user_pages_remote" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0x288bdf32, "finish_wait" },
	{ 0x41414e6f, "memfd_pin_folios" },
	{ 0x2c6165dc, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xb4abf17d, "fget" },
	{ 0x5ed4f630, "__put_task_struct" },
	{ 0x517d1e2b, "__xas_next" },
	{ 0x64e83815, "xas_find" },
	{ 0x6dd6d311, "iommu_dev_disable_feature" },
	{ 0xae2a340d, "unpin_user_pages" },
	{ 0x80eca38d, "fd_install" },
	{ 0x494759e2, "iopf_group_response" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x75bb86c9, "unpin_user_page_range_dirty_lock" },
	{ 0xd2d3a93a, "__account_locked_vm" },
	{ 0x33bf7387, "prepare_to_wait_event" },
	{ 0xbe118c52, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xb16c72df, "__wake_up" },
	{ 0x56521a49, "get_device" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x447ea9c8, "unpin_folios" },
	{ 0x5efdd68b, "__tracepoint_mmap_lock_released" },
	{ 0x7d3f2ef5, "iommu_group_replace_domain" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xc93649aa, "kthread_use_mm" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x25cbbdb0, "iommu_detach_group_handle" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x49bd08aa, "iommu_detach_group" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x4ddf0bf9, "put_device" },
	{ 0x7429297b, "interval_tree_span_iter_next" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xd68b3dea, "iommu_dev_enable_feature" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0xf06f8590, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xb65fe58c, "fput" },
	{ 0xa1ceeedb, "down_write" },
	{ 0xd30f4f82, "iommu_domain_free" },
	{ 0x2c665d23, "up_write" },
	{ 0x85c53ccb, "iommu_get_msi_cookie" },
	{ 0x8aa96275, "xas_store" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x1eb1b4cb, "iommu_unmap" },
	{ 0x314220de, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x5ddcdd1e, "xas_load" },
	{ 0x7e594367, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xe5fe101, "iommu_attach_handle_get" },
	{ 0x836d752f, "iommu_replace_group_handle" },
	{ 0x34a79c18, "iommu_device_release_dma_owner" },
	{ 0x9bb93af7, "folio_add_pins" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdcb764ad, "memset" },
	{ 0x53398f10, "_dev_warn" },
	{ 0xf8ec5dd4, "misc_register" },
	{ 0xc056adf4, "unpin_user_page" },
	{ 0xf1af15f4, "iommu_paging_domain_alloc_flags" },
	{ 0xf639d606, "__init_waitqueue_head" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0x81bfa9fa, "iommu_put_resv_regions" },
	{ 0xbfd9a4d7, "_iommufd_object_alloc" },
	{ 0x8d285302, "down_read" },
	{ 0x6703a6d3, "__mmdrop" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0x328c32ed, "__xa_cmpxchg" },
	{ 0xb19fd403, "nonseekable_open" },
	{ 0x1efc4220, "xa_erase" },
	{ 0xca9c9c01, "__mmap_lock_do_trace_start_locking" },
	{ 0x653f8dd4, "iommu_get_resv_regions" },
	{ 0x2be3a5f6, "pci_pri_supported" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x5fe2487b, "mmput" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0x758f1246, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xf1dfcc22, "xa_destroy" },
	{ 0x2f9f6cf2, "xa_find" },
	{ 0xc1e6986e, "interval_tree_span_iter_first" },
	{ 0xbd628752, "__tracepoint_mmap_lock_start_locking" },
	{ 0x7147cfc9, "__mmap_lock_do_trace_released" },
	{ 0x753f325a, "xa_store" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x1eb48772, "set_page_dirty_lock" },
	{ 0x526401d, "device_iommu_capable" },
	{ 0xdc570547, "xas_nomem" },
	{ 0xbe20b5f1, "iommu_map" },
	{ 0x28652f5e, "free_uid" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdc3ee938, "kthread_unuse_mm" },
	{ 0x76517f03, "interval_tree_span_iter_advance" },
	{ 0x17756f70, "iommu_attach_group_handle" },
	{ 0x8b8394c3, "kmalloc_trace" },
	{ 0x2937f5a2, "xa_find_after" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0x6f6d40c3, "iommu_attach_group" },
	{ 0x6d49c8ed, "iommu_group_has_isolated_msi" },
	{ 0x2d965e1d, "up_read" },
	{ 0xbd03e17e, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5793ca07, "pci_bus_type" },
	{ 0x55623917, "kmalloc_caches" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A4DA0A524E72CDD5769EE0B");
MODULE_INFO(rhelversion, "9.7");
