#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0x73736aa9, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x80d885a6, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0xcded1567, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x45beca36, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x43b33d3c, "_gpl");
SYMBOL_CRC(stmmac_resume, 0x81177e88, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0xd1cc24db, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x694ec7f2, "mdiobus_alloc_size" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x116d14c2, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa7fe7fb3, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd4e3c1ee, "bpf_prog_put" },
	{ 0xeb18f1d8, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x31d58dce, "skb_copy_bits" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x8dcc2711, "devm_kmalloc" },
	{ 0xb8ee20d, "eth_mac_addr" },
	{ 0x6fc0816f, "skb_put" },
	{ 0xc237741e, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc961536a, "netdev_update_features" },
	{ 0x365bef0, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xffcac9cd, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa883128, "hrtimer_try_to_cancel" },
	{ 0x8f8fe787, "bpf_warn_invalid_xdp_action" },
	{ 0x54e0e36e, "unregister_netdev" },
	{ 0x759e0f32, "xdp_convert_zc_to_xdp_frame" },
	{ 0x7325e73e, "xdp_features_set_redirect_target" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0xcedb493e, "gpiod_set_value_cansleep" },
	{ 0xf8afc23d, "dma_unmap_page_attrs" },
	{ 0x1d46083d, "hrtimer_init" },
	{ 0x6460f9c4, "skb_add_rx_frag" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0xc585911f, "ptp_clock_index" },
	{ 0xef4e8f55, "phy_attached_info" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x2d78efb1, "seq_lseek" },
	{ 0xf70ea98e, "page_pool_destroy" },
	{ 0xfa4f7c6a, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbf58b868, "netdev_warn" },
	{ 0x90672ec1, "devm_gpiod_get_optional" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb16c72df, "__wake_up" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x1fd8b36b, "flow_rule_match_ipv4_addrs" },
	{ 0x359dc070, "xdp_rxq_info_unreg_mem_model" },
	{ 0x58861662, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x6699851c, "netdev_err" },
	{ 0xa03a16fa, "phylink_limit_mac_speed" },
	{ 0xc82ec147, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0xd457202e, "dev_driver_string" },
	{ 0x1e04830a, "pinctrl_pm_select_default_state" },
	{ 0xc9383204, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x49ec88a3, "eth_type_trans" },
	{ 0xb90c3f9d, "__pm_runtime_set_status" },
	{ 0x29602315, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xbc30a559, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x2c532f3d, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x910cfba6, "pm_wakeup_dev_event" },
	{ 0x4f0d853e, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x31fe07b8, "__napi_schedule" },
	{ 0xbf23646b, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x7b3a3df, "netif_device_detach" },
	{ 0x51cf9d8a, "device_property_read_u32_array" },
	{ 0x119bc721, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0x459d85a6, "rt_write_unlock" },
	{ 0x85784807, "_dev_info" },
	{ 0xae81cc8f, "xpcs_create_mdiodev" },
	{ 0xd15f5517, "napi_gro_receive" },
	{ 0xb52db2a7, "netif_device_attach" },
	{ 0xaf859f54, "xdp_features_clear_redirect_target" },
	{ 0xed3a053c, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0xbdac0ad5, "netdev_pick_tx" },
	{ 0x9d4e5d4a, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd685546f, "xdp_rxq_info_is_reg" },
	{ 0xfbf1cb9f, "devm_alloc_etherdev_mqs" },
	{ 0xd141a7f4, "flow_block_cb_setup_simple" },
	{ 0xc829f581, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x52889c98, "dev_open" },
	{ 0xa5dc45cc, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x23918d20, "_dev_err" },
	{ 0xa595d50b, "xpcs_destroy" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x9d1328d8, "pinctrl_pm_select_sleep_state" },
	{ 0x73afd300, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6f62a864, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x80314a19, "ptp_clock_register" },
	{ 0x355d79a9, "__of_mdiobus_register" },
	{ 0x1c9d6da9, "__traceiter_xdp_exception" },
	{ 0x702110fb, "netif_set_real_num_tx_queues" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x94c6777a, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x4462f6e6, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x7e594367, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xfdbd5039, "dma_alloc_attrs" },
	{ 0xaf5497b6, "debugfs_remove" },
	{ 0x2c287204, "napi_enable" },
	{  0x417c9, "xpcs_get_interfaces" },
	{ 0x7df96bfe, "register_netdev" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x640c1fba, "debugfs_change_name" },
	{ 0xa7dda1b2, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x3616b81d, "phylink_generic_validate" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6af9921, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x68542c3f, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x40ce737, "netif_tx_wake_queue" },
	{ 0x236fd8b4, "fwnode_get_phy_node" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x4afc1bec, "page_pool_create" },
	{ 0xdcb764ad, "memset" },
	{ 0x53398f10, "_dev_warn" },
	{ 0x727f3c9, "flow_rule_match_ports" },
	{ 0x9f3025d5, "phylink_fwnode_phy_connect" },
	{ 0x31d897c2, "hrtimer_start_range_ns" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb8f429e4, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x187b71e, "netif_schedule_queue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x3fe2d5f1, "fwnode_get_named_child_node" },
	{ 0xf639d606, "__init_waitqueue_head" },
	{ 0xbf1d9a51, "ptp_clock_unregister" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0xd3fbaf33, "xpcs_get_an_mode" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x53e7d833, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb54e3321, "xdp_return_frame_rx_napi" },
	{ 0x22aeef92, "netdev_alert" },
	{ 0x5bfe0cfd, "dma_set_coherent_mask" },
	{ 0x612783e8, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x5f23df1d, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0xcf664a62, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x8e8e7a5d, "dma_free_attrs" },
	{ 0x45de86fb, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xf33d66f7, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x273c1ad4, "flow_rule_match_vlan" },
	{ 0xb7a07ab9, "xdp_rxq_info_unreg" },
	{ 0x57719e06, "page_pool_alloc_pages" },
	{ 0xad7e42a7, "__xdp_rxq_info_reg" },
	{ 0x3207e11e, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x57e766f4, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xa337a4f6, "seq_printf" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0x7a96c2f5, "mdiobus_get_phy" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x98f4e1ac, "netif_carrier_on" },
	{ 0x493fe4e7, "rt_write_lock" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x4d303641, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb410ce1a, "hrtimer_cancel" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x4da14bf2, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x10271dbe, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x909fcc37, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x8b8394c3, "kmalloc_trace" },
	{ 0xdf6a680f, "xdp_master_redirect" },
	{ 0xde66f4a7, "phylink_mii_ioctl" },
	{ 0xce3789b2, "napi_schedule_prep" },
	{ 0x3cd1548c, "napi_disable" },
	{ 0x54363ef1, "dev_kfree_skb_any_reason" },
	{ 0xe8563a43, "eth_header_parse_protocol" },
	{ 0xea4481d3, "param_ops_int" },
	{ 0xadba2cbc, "phylink_pcs_pre_init" },
	{ 0x7be2b13e, "single_open" },
	{ 0x4cff7911, "__pm_runtime_disable" },
	{ 0xceaa7ab5, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7102900d, "skb_clone_tx_timestamp" },
	{ 0xbd03e17e, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x599fb8ab, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6a4cc71e, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x62c063a7, "__dev_fwnode" },
	{ 0x55623917, "kmalloc_caches" },
	{ 0x92f33f5e, "netdev_info" },
	{ 0xb655335a, "page_pool_put_unrefed_page" },
	{ 0xf7598a68, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "80DC3B50DDBD72D20600A76");
MODULE_INFO(rhelversion, "9.7");
