#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x6df2a9d4, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x69f0818d, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x8c4dcf6f, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x015dfb43, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf84d0a02, "ether_setup" },
	{ 0x286a7852, "__ethtool_get_link_ksettings" },
	{ 0xa8b63bfe, "ethtool_get_ts_info_by_layer" },
	{ 0x5a1148a6, "init_net" },
	{ 0x7934bb96, "generic_hwtstamp_set_lower" },
	{ 0x36df2c88, "generic_hwtstamp_get_lower" },
	{ 0xe521c8a1, "dev_mc_del" },
	{ 0xc55fdace, "dev_uc_del" },
	{ 0xadc79121, "dev_mc_add_excl" },
	{ 0x875e8f51, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x1edbe49e, "vlan_vid_del" },
	{ 0x7d2d1863, "vlan_vid_add" },
	{ 0x402252b6, "dev_set_allmulti" },
	{ 0x21a656fc, "dev_set_promiscuity" },
	{ 0xc589f17d, "dev_uc_unsync" },
	{ 0x18a4f3a6, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x55623917, "kmalloc_caches" },
	{ 0x8b8394c3, "kmalloc_trace" },
	{ 0x61cd75c7, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x3de5d9bc, "rtnl_link_unregister" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe1bcf7b6, "netdev_is_rx_handler_busy" },
	{ 0xdcb764ad, "memset" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0xcde4dfad, "netdev_rx_handler_register" },
	{ 0x37a0cba, "kfree" },
	{ 0x177bc8a9, "dev_uc_add" },
	{ 0xe3ee02e0, "dev_set_mac_address" },
	{ 0xe2b64085, "call_netdevice_notifiers" },
	{ 0xfdc87894, "netif_inherit_tso_max" },
	{ 0xc961536a, "netdev_update_features" },
	{ 0x35a45163, "netif_stacked_transfer_operstate" },
	{ 0xf06d76c2, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x6081a48f, "unregister_netdevice_queue" },
	{ 0x3952f91a, "netdev_upper_dev_unlink" },
	{ 0xde8653de, "dev_uc_sync" },
	{ 0xcf118fab, "dev_mc_sync" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x63a9b59a, "skb_clone" },
	{ 0xb2ca7e81, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x924a0791, "__dev_forward_skb" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x365bef0, "consume_skb" },
	{ 0x43aa41ef, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe37f81b8, "sk_skb_reason_drop" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x5db88380, "__dev_get_by_index" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb8d8ea7d, "register_netdevice" },
	{ 0x5bdb9063, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x12c227fb, "linkwatch_fire_event" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xd6717a70, "__netif_rx" },
	{ 0x3b4a9c6a, "ip_check_defrag" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8b7e43db, "netdev_core_stats_inc" },
	{ 0x3699e644, "__dev_queue_xmit" },
	{ 0x5047ef67, "dev_forward_skb" },
	{ 0x49aa57e5, "passthru_features_check" },
	{ 0x14c46229, "eth_validate_addr" },
	{ 0x94e76ea2, "ndo_dflt_fdb_dump" },
	{ 0x2d39250a, "eth_header_parse" },
	{ 0x9288f5c9, "eth_header_cache" },
	{ 0xf9c5b6ee, "eth_header_cache_update" },
	{ 0x6af9921, "ethtool_op_get_link" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BF40D7B4562138811E93981");
MODULE_INFO(rhelversion, "9.7");
