#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xdd13a490, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xbfe8f8a0, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x86904597, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x724ef8e1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x2b0685e0, "__skb_checksum_complete" },
	{ 0xebdfa4a8, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x31d58dce, "skb_copy_bits" },
	{ 0xca5f86d0, "__nlmsg_put" },
	{ 0x21d5c171, "netdev_adjacent_change_commit" },
	{ 0xb8ee20d, "eth_mac_addr" },
	{ 0x6fc0816f, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc4055b96, "ip6_dst_hoplimit" },
	{ 0x7dbe8b01, "param_ops_ushort" },
	{ 0x365bef0, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0x70d2fb86, "udp_sock_create4" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0xc9a1715, "udp_tunnel6_xmit_skb" },
	{ 0x61cd75c7, "rtnl_link_register" },
	{ 0x4b08f389, "__unregister_nexthop_notifier" },
	{ 0xfdc87894, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x14c46229, "eth_validate_addr" },
	{ 0xed77eb05, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x73abdd07, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1b0756a2, "rtnl_create_link" },
	{ 0x6081a48f, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xd90c743a, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xf84d0a02, "ether_setup" },
	{ 0x75653b10, "udp_tunnel_drop_rx_port" },
	{ 0x5bdb9063, "netdev_upper_dev_link" },
	{ 0xa10ac3e6, "pskb_expand_head" },
	{ 0x4ed6978f, "register_pernet_subsys" },
	{ 0x49ec88a3, "eth_type_trans" },
	{ 0x35240f5a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xc382aa18, "__alloc_skb" },
	{ 0x1541212c, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xbb5d19e3, "eth_gro_complete" },
	{ 0xea672a0, "rtnl_set_sk_err" },
	{ 0x8b28bc9d, "eth_gro_receive" },
	{ 0x4b5902ce, "rtnl_configure_link" },
	{ 0xd369b7da, "skb_tunnel_check_pmtu" },
	{ 0xd248edf1, "udp_tunnel_dst_lookup" },
	{ 0x8e68d91f, "rtnl_unicast" },
	{ 0x30d5c23a, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xfabb3fe8, "__skb_get_hash_net" },
	{ 0x4715403a, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x5db88380, "__dev_get_by_index" },
	{ 0x3de5d9bc, "rtnl_link_unregister" },
	{ 0x4de3c6f1, "ipv6_stub" },
	{ 0x73afd300, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xf9c4c9e4, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe37f81b8, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x49c6d1c3, "dev_get_by_index_rcu" },
	{ 0x770e5627, "gro_cells_receive" },
	{ 0xe16ee711, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x3952f91a, "netdev_upper_dev_unlink" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xe09be22f, "free_netdev" },
	{ 0x2da6f6bb, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5766ff48, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3b82b705, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6af9921, "ethtool_op_get_link" },
	{ 0xdafa3148, "nexthop_find_by_id" },
	{ 0x1754dee3, "arp_create" },
	{ 0x286a7852, "__ethtool_get_link_ksettings" },
	{ 0xa3d49dcb, "netdev_adjacent_change_prepare" },
	{ 0xbf6ea5af, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xb0599ae0, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xc31fb646, "rhashtable_free_and_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0xb2cdffd3, "rht_bucket_nested_insert" },
	{ 0x3ede5f92, "netdev_adjacent_change_abort" },
	{ 0x219f6f4f, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x6fbade6a, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xfafd3096, "__iptunnel_pull_header" },
	{ 0x2d7cb279, "__pskb_pull_tail" },
	{ 0x422197e3, "dev_get_tstats64" },
	{ 0xb2ca7e81, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xd7dd27b8, "rhashtable_destroy" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0x5937da29, "setup_udp_tunnel_sock" },
	{ 0x2e74c87e, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdd68f29b, "skb_trim" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x53e7d833, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x80658a00, "skb_scrub_packet" },
	{ 0x3220312a, "nexthop_select_path" },
	{ 0xc0629daa, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb254f0e8, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe3610345, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x758f1246, "param_ops_bool" },
	{ 0x29e3bf23, "udp_tun_rx_dst" },
	{ 0x91ca0339, "rtnl_notify" },
	{ 0x6a84c389, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd6717a70, "__netif_rx" },
	{ 0x63a9b59a, "skb_clone" },
	{ 0x8ba786e3, "metadata_dst_alloc" },
	{ 0x634711bf, "dst_release" },
	{ 0x2eb61a28, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x1b5cf58, "udp_tunnel_notify_del_rx_port" },
	{ 0x4cdd11fb, "register_nexthop_notifier" },
	{ 0xe30b47cf, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8b8394c3, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x54da9b2f, "gro_find_receive_by_type" },
	{ 0x8b7e43db, "netdev_core_stats_inc" },
	{ 0x55623917, "kmalloc_caches" },
	{ 0x92f33f5e, "netdev_info" },
	{ 0x28eb3ae7, "neigh_lookup" },
	{ 0x73245249, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb8d8ea7d, "register_netdevice" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "17D48049F17E17C62990BEF");
MODULE_INFO(rhelversion, "9.7");
