#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0x04e7f280, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0x46c4429c, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0x9de008e4, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x749a3844, "_gpl");
SYMBOL_CRC(ucsi_resume, 0x948c7b87, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0x2f8b8870, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x81a04c76, "_gpl");
SYMBOL_CRC(ucsi_create, 0xbb33813f, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0x3169652b, "_gpl");
SYMBOL_CRC(ucsi_register, 0x063017aa, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0x485ab145, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddf6ad7a, "completion_done" },
	{ 0xed781cae, "typec_partner_set_pd_revision" },
	{ 0x409b6a55, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x415e8435, "typec_register_partner" },
	{ 0x6a7a6f1b, "typec_port_set_usb_power_delivery" },
	{ 0x5b659df6, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7ee06d33, "typec_port_register_altmode" },
	{ 0x2df30cad, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x575954e, "trace_raw_output_prep" },
	{ 0x6fd0ebea, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0x204f216b, "trace_event_printf" },
	{ 0x189629fd, "trace_event_raw_init" },
	{ 0xd7cd79ab, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x2d78efb1, "seq_lseek" },
	{ 0xf6c9117d, "bpf_trace_run2" },
	{ 0x72e87b19, "event_triggers_call" },
	{ 0x6a1b2fbb, "typec_set_mode" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x6c46cd3b, "__dynamic_dev_dbg" },
	{ 0x4d5a75dc, "trace_event_buffer_commit" },
	{ 0x8bd64e6c, "usb_power_delivery_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x80eee501, "trace_event_ignore_this_pid" },
	{ 0x75f34041, "typec_partner_register_altmode" },
	{ 0x3f244947, "typec_partner_set_num_altmodes" },
	{ 0x34c7b8f6, "typec_unregister_partner" },
	{ 0x33e913a2, "typec_set_pwr_opmode" },
	{ 0x9d950b44, "typec_cable_set_identity" },
	{ 0xed1557d1, "debugfs_attr_read" },
	{ 0xbd10718, "typec_unregister_cable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x5041970a, "perf_trace_run_bpf_submit" },
	{ 0x23918d20, "_dev_err" },
	{ 0xf30fd1ff, "typec_partner_set_usb_mode" },
	{ 0x451aa82d, "typec_altmode_update_active" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xb155f9f5, "device_property_read_u8_array" },
	{ 0xa1daa9f1, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0xa83a074b, "usb_power_delivery_register_capabilities" },
	{ 0xb58de5bf, "typec_register_plug" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7e594367, "mutex_lock" },
	{ 0xaf5497b6, "debugfs_remove" },
	{ 0xf4ecfad8, "usb_power_delivery_unregister" },
	{ 0xb686408b, "trace_event_reg" },
	{ 0x3a6ea321, "typec_set_data_role" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xda46aa12, "typec_unregister_port" },
	{ 0xe4acbc82, "power_supply_get_drvdata" },
	{ 0xdcb764ad, "memset" },
	{ 0x53398f10, "_dev_warn" },
	{ 0xb3eb3776, "typec_register_port" },
	{ 0x7548ef73, "typec_plug_set_num_altmodes" },
	{ 0x726b2dce, "typec_partner_set_usb_power_delivery" },
	{ 0x7100cae0, "power_supply_changed" },
	{ 0xbeff87a4, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x75ae0841, "typec_plug_register_altmode" },
	{ 0xc8363e0b, "devm_kasprintf" },
	{ 0x612783e8, "seq_read" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x17f9c662, "trace_event_buffer_reserve" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc2f24dcd, "typec_unregister_altmode" },
	{ 0xd821e8b2, "typec_register_cable" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa337a4f6, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x15b67ca2, "usb_power_delivery_unregister_capabilities" },
	{ 0x1a25578e, "typec_get_drvdata" },
	{ 0x4d303641, "debugfs_create_file_full" },
	{ 0x1f33d06e, "typec_partner_set_identity" },
	{ 0xd05fd73c, "power_supply_unregister" },
	{ 0x4da14bf2, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x31196b4f, "typec_set_pwr_role" },
	{ 0xd342e30a, "typec_partner_usb_power_delivery_register" },
	{ 0x909fcc37, "dev_err_probe" },
	{ 0x8b8394c3, "kmalloc_trace" },
	{ 0xf0e80fc5, "usb_debug_root" },
	{ 0xee362cb2, "device_get_next_child_node" },
	{ 0x7be2b13e, "single_open" },
	{ 0xceaa7ab5, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xbd03e17e, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x62c063a7, "__dev_fwnode" },
	{ 0x55623917, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "50C9978E6089B28C55CFFFE");
MODULE_INFO(rhelversion, "9.7");
