#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0xe75f6dba, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0x05b6023e, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0x07541495, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0x9d980851, "_gpl");
SYMBOL_CRC(vhost_work_queue, 0x735567a7, "_gpl");
SYMBOL_CRC(vhost_has_work, 0x33157b49, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0xd17e9e21, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0xa8138788, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0xe7ab52c1, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0x2787db7b, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0x602089ee, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0xc6f625cf, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0x4f1ce147, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0x2ad59e1b, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0x7627afb1, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0x45e5fb8c, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0xd26315fd, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0x8272db62, "");
SYMBOL_CRC(vhost_chr_poll, 0xfc38b04e, "");
SYMBOL_CRC(vhost_chr_read_iter, 0xb50a4e6b, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0xb1d3cb02, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0x88943b7c, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0x75a2e46e, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0xb332587e, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0xccff444c, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0x281351f6, "_gpl");
SYMBOL_CRC(vhost_log_write, 0x3efcf7db, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0x22465d12, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0x695bd6ad, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0x90cd5abc, "_gpl");
SYMBOL_CRC(vhost_add_used, 0x534289f0, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0x9e3cda73, "_gpl");
SYMBOL_CRC(vhost_signal, 0x25d9eff3, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0xc5efaef0, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0x854fd3e0, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0xfb14c6ed, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0xbbd4c75c, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0x30af072a, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0x1e41881c, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0xf1f6b4c5, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0xc0014859, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0x43ba338b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x89ddbf74, "add_wait_queue" },
	{ 0xdbe1d036, "remove_wait_queue" },
	{ 0xa6257a2f, "complete" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xee0d8eb3, "wake_up_process" },
	{ 0xdcb764ad, "memset" },
	{ 0xdc3668fa, "cgroup_attach_task_all" },
	{ 0x5fe2487b, "mmput" },
	{ 0x6703a6d3, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0x7e594367, "mutex_lock" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0xb16c72df, "__wake_up" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0xbd03e17e, "__mutex_rt_init" },
	{ 0xf639d606, "__init_waitqueue_head" },
	{ 0x92833e36, "pin_user_pages_fast" },
	{ 0x49608959, "migrate_disable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xac7d0ac6, "unpin_user_pages_dirty_lock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc93649aa, "kthread_use_mm" },
	{ 0x26545f1b, "__tracepoint_sched_set_state_tp" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xdc3ee938, "kthread_unuse_mm" },
	{ 0x1000e51, "schedule" },
	{ 0x55623917, "kmalloc_caches" },
	{ 0x8b8394c3, "kmalloc_trace" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x37a0cba, "kfree" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xb65fe58c, "fput" },
	{ 0x86324540, "kthread_stop" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0xa647ddc1, "iov_iter_init" },
	{ 0xff263bbe, "_copy_from_iter" },
	{ 0x5a5a3932, "iov_iter_revert" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x1048ab82, "_copy_to_iter" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x14384f25, "prepare_to_wait" },
	{ 0x288bdf32, "finish_wait" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd1a0df7b, "get_task_mm" },
	{ 0xed4c85aa, "kthread_create_on_node" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0x924c69c2, "iov_iter_advance" },
	{ 0x6e699ee, "eventfd_fget" },
	{ 0xea4481d3, "param_ops_int" },
	{ 0x7dbe8b01, "param_ops_ushort" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "A06B65E43EBA4F51635802B");
MODULE_INFO(rhelversion, "9.7");
