#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x54d48a4f, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x3ea76e9e, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x4df37388, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x995716f4, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x1ac7fd95, "_gpl");
SYMBOL_CRC(br_forward, 0x57b6696b, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x183eedf5, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0xc6605f14, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0xe66850bc, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x470b9efb, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xf132e1f0, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x905ee371, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x7f423a18, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x03a4b512, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x979a8512, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xda9e617b, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x5c0068f8, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0xfc63b391, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x25fd7f5a, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x41a0e059, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xd63413ae, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0xa09727dc, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xde135187, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x0eaad6ce, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x8a7c9190, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf06d76c2, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd52725a, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x31d58dce, "skb_copy_bits" },
	{ 0xca5f86d0, "__nlmsg_put" },
	{ 0x69d1e6a8, "ipv6_mc_check_mld" },
	{ 0x6fc0816f, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xeefd3dd9, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc961536a, "netdev_update_features" },
	{ 0x365bef0, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd918ec01, "__traceiter_br_fdb_add" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0x1334c9db, "__traceiter_br_fdb_update" },
	{ 0xcc81f2e1, "rt_mutex_base_init" },
	{ 0xc55fdace, "dev_uc_del" },
	{ 0x61cd75c7, "rtnl_link_register" },
	{ 0x99d73fc5, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x4829a47e, "memcpy" },
	{ 0x7f44c715, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x21a656fc, "dev_set_promiscuity" },
	{ 0xed77eb05, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x6081a48f, "unregister_netdevice_queue" },
	{ 0xa504eb34, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x98e66b63, "netdev_state_change" },
	{ 0xdbc247f9, "__pskb_copy_fclone" },
	{ 0xb14c1025, "__dev_get_by_name" },
	{ 0xf84d0a02, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6699851c, "netdev_err" },
	{ 0xa10ac3e6, "pskb_expand_head" },
	{ 0x4ed6978f, "register_pernet_subsys" },
	{ 0xee121ff, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x2d8eb396, "arp_xmit" },
	{ 0xa234a355, "__traceiter_br_mdb_full" },
	{ 0x6f4f72a7, "alloc_netdev_mqs" },
	{ 0x49aa57e5, "passthru_features_check" },
	{ 0x35240f5a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x43aa41ef, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6360b166, "rtnl_af_register" },
	{ 0x4ed6cf42, "__tracepoint_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0xc382aa18, "__alloc_skb" },
	{ 0xf5ba3b26, "kmem_cache_alloc" },
	{ 0xea672a0, "rtnl_set_sk_err" },
	{ 0x8af3f28a, "skb_vlan_pop" },
	{ 0x8e68d91f, "rtnl_unicast" },
	{ 0xf794bfb5, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x8c0fbeac, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x480a5a21, "nla_reserve_64bit" },
	{ 0x26e00668, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x5db88380, "__dev_get_by_index" },
	{ 0x3de5d9bc, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x5a1148a6, "init_net" },
	{ 0x4de3c6f1, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x58197b34, "inet_confirm_addr" },
	{ 0x73afd300, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfbcd30a3, "sysfs_remove_link" },
	{ 0x10165394, "skb_vlan_untag" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb77843ac, "rtnl_af_unregister" },
	{ 0xe37f81b8, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x1df70dec, "arp_send" },
	{ 0x49c6d1c3, "dev_get_by_index_rcu" },
	{ 0xb7cc0cff, "__tracepoint_br_fdb_add" },
	{ 0x2e4d921f, "__traceiter_fdb_delete" },
	{ 0x652032cb, "mac_pton" },
	{ 0xe16ee711, "skb_push" },
	{ 0x284fdcb5, "kmem_cache_free" },
	{ 0x94e76ea2, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x3952f91a, "netdev_upper_dev_unlink" },
	{ 0xafc3ae7f, "netif_receive_skb" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x4dcab2cb, "llc_mac_hdr_init" },
	{ 0xe09be22f, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x12e159ac, "kobject_init_and_add" },
	{ 0xa8a1e3eb, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x14cc2b93, "ns_capable" },
	{ 0xc7b030f6, "inet_select_addr" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2e08bfcf, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6af9921, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x1754dee3, "arp_create" },
	{ 0x286a7852, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x7e174ed1, "stp_proto_register" },
	{ 0xbf6ea5af, "rtnl_register_module" },
	{ 0x27dc9471, "__tracepoint_br_fdb_update" },
	{ 0x2e115542, "sysfs_rename_link_ns" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xb0599ae0, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb2cdffd3, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2d7cb279, "__pskb_pull_tail" },
	{ 0x422197e3, "dev_get_tstats64" },
	{ 0xb2ca7e81, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x52a06212, "ip_mc_check_igmp" },
	{ 0xc3df2945, "__netdev_alloc_skb" },
	{ 0xd7dd27b8, "rhashtable_destroy" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0xa29a5729, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x7729028, "kobject_create_and_add" },
	{ 0xdd68f29b, "skb_trim" },
	{ 0x7e6581be, "nf_hook_slow" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x53e7d833, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x27b3f402, "__ip_mc_inc_group" },
	{ 0xeb894796, "netdev_walk_all_upper_dev_rcu" },
	{ 0x7a99d638, "sysfs_remove_group" },
	{ 0x5b367a7, "__traceiter_br_fdb_external_learn_add" },
	{ 0x728e60d0, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0xc0629daa, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x19821689, "__tracepoint_fdb_delete" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3699e644, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7d2d1863, "vlan_vid_add" },
	{ 0xe3610345, "neigh_destroy" },
	{ 0xc662ecda, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x6494b7ad, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe2b64085, "call_netdevice_notifiers" },
	{ 0x2e0a09ab, "is_skb_forwardable" },
	{ 0x1edbe49e, "vlan_vid_del" },
	{ 0x402252b6, "dev_set_allmulti" },
	{ 0xeff99261, "net_ns_get_ownership" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1b3a7861, "netdev_master_upper_dev_get" },
	{ 0xa482462e, "ipv6_dev_mc_inc" },
	{ 0x91ca0339, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x57e766f4, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x503c35fd, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x63a9b59a, "skb_clone" },
	{ 0x8ba786e3, "metadata_dst_alloc" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x634711bf, "dst_release" },
	{ 0x98f4e1ac, "netif_carrier_on" },
	{ 0x1a91c6f, "kobject_uevent" },
	{ 0x2eb61a28, "arp_tbl" },
	{ 0xca1c3751, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xcde4dfad, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x177bc8a9, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x90cb2538, "netif_set_tso_max_size" },
	{ 0x80fc87c8, "dev_disable_lro" },
	{ 0x8b8394c3, "kmalloc_trace" },
	{ 0x3960510a, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x7abf0fd6, "dev_get_flags" },
	{ 0x98cf60b3, "strlen" },
	{ 0x54363ef1, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x1198670b, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x566a95e3, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x9e688c4c, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x53c9000, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xee841af, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x55623917, "kmalloc_caches" },
	{ 0x28eb3ae7, "neigh_lookup" },
	{ 0x30380903, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x43e9792c, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb8d8ea7d, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "71CB8C6A7751ABD596E0CE3");
MODULE_INFO(rhelversion, "9.7");
