#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0xf5bc86b6, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0x7e895aac, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x603aa45f, "_gpl");
SYMBOL_CRC(flow_offload_add, 0x712b4ed0, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0x64831372, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0x7eb703c8, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x4525d0c2, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0x28d49a70, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0x93816cbb, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x6c633ba2, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0xe1749116, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x0f366622, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x755b6b96, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0xc71044d1, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0xf132201e, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0xd8258a8f, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x2aea4f0a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xd4323634, "flow_rule_alloc" },
	{ 0x6a230c4e, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x42e34eff, "skb_gso_validate_network_len" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe46c8102, "neigh_xmit" },
	{ 0x94366d62, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xed77eb05, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x67b1bda7, "rhashtable_walk_enter" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xeb35a5b2, "proc_create_net_data" },
	{ 0xa10ac3e6, "pskb_expand_head" },
	{ 0x4ed6978f, "register_pernet_subsys" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa1ceeedb, "down_write" },
	{ 0x2c665d23, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x73afd300, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb45b5511, "dev_get_by_index" },
	{ 0x49c6d1c3, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7e594367, "mutex_lock" },
	{ 0x6ea01208, "rhashtable_walk_start_check" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4dbe694, "flow_indr_dev_setup_offload" },
	{ 0x85ea1e5a, "rhashtable_walk_stop" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xb0599ae0, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0xb2cdffd3, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2d7cb279, "__pskb_pull_tail" },
	{ 0xd7dd27b8, "rhashtable_destroy" },
	{ 0xee31889a, "rt_spin_unlock" },
	{ 0x8d285302, "down_read" },
	{ 0x844a65d1, "inet_proto_csum_replace16" },
	{ 0xad42ea20, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc0629daa, "rhashtable_insert_slow" },
	{ 0xcf664a62, "rt_read_lock" },
	{ 0x3699e644, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe3610345, "neigh_destroy" },
	{ 0xfed3d7c9, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb7a2770, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x3207e11e, "rt_read_unlock" },
	{ 0x8c36125c, "remove_proc_entry" },
	{ 0xd27a4580, "nf_ct_acct_add" },
	{ 0xa337a4f6, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x634711bf, "dst_release" },
	{ 0xf391125d, "nf_ct_l4proto_find" },
	{ 0xbb708ee5, "seq_puts" },
	{ 0xd63107f7, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8b8394c3, "kmalloc_trace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x2d965e1d, "up_read" },
	{ 0x1f14cdaf, "rhashtable_walk_exit" },
	{ 0x55623917, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd092cd93, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "95D507375C32960FF3A1DA6");
MODULE_INFO(rhelversion, "9.7");
